//Exported using: HydroD V4.9-02 started 27-Jan-2017 10:05:54
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg,90 deg));
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypeFrequency, Array(1 rad/s,20 rad/s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(300 m);
Location1.gravity = 9.80665 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(-0.2646 m);
HydroModel1.setFPXPos(0.268 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-0.05000000075 m);
HydroModel1.addReportZWaterline(0.4499999993 m);
HydroModel1.setKidTag("ebe0ba34-6270-4b5f-bc43-698b7a2a547a");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsGDFFile, "../../../../Assemblies_better/til Rhino/til WAMIT/H2LT_test.GDF", false, false);
PanelModel1.setKidTag("0379a6d1-5771-47a8-8fcc-b15a40e1d1ff");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 100 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("73cc5ee0-29e5-448a-9191-b52d07b7e7ee");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, MassModelSpecified);
MassModel1.setUserMassCoordinateSystem(COGCenteredCoordinateSystem);
MassModel1.setTotalMass(2.74207811 Kg);
MassModel1.setCOG(Point(0.01654755023 m,-2.565447448e-005 m,0.02270161529 m));
MassModel1.setRadiusGyration(Vector3d(0.03392906895 m,0.1335300166 m,0.1330106863 m));
MassModel1.setSpecificProductInertia(0.0009022851772 m, -0.0002851671947 m, -0.0004349226685 m);
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
MassModel1.setKidTag("b9e82245-7f46-4f94-89f3-a0a35de166ae");
// ***********************************************************
WadamOffbodyPoints1 = WadamOffbodyPoints(LoadingCondition1, OffbodyPointsFromGrid);
WadamOffbodyPoints1.setMinPoint(-20 m, -20 m);
WadamOffbodyPoints1.setMaxPoint(20 m, 20 m);
WadamOffbodyPoints1.setNoSteps(30, 30);
WadamOffbodyPoints1.regenerateGeometry();
WadamOffbodyPoints1.setKidTag("07b24973-8341-4068-8d1f-083163b250c9");
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(false);
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.wadamLite(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
WadamRun1.calculateDrift(false);
WadamRun1.driftByFarFieldIntegration(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(50000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.setIncludeForwardSpeedEffect(false);
WadamRun1.setForwardSpeedX(0 m/s);
WadamRun1.setForwardSpeedY(0 m/s);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(0.5326 m);
WadamRun1.calculateRollDamping(false);
WadamRun1.specifyOutputDirectory(false, false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
WadamRun1.setKidTag("7174298d-69cc-47e4-892f-5d613f1ce308");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.rollDamping = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = false;
WadamWizard1.pressurePanels = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(WadamOffbodyPoints1);
WadamWizard1.addEditObject(WadamRun1);
WadamWizard1.setKidTag("e45f1dbf-1f70-455f-a1da-51c3205c238e");
