//Exported using: HydroD V4.9-02 started 02-May-2017 14:21:40
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg,90 deg));
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypeFrequency, Array(20 rad/s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(300 m);
Location1.gravity = 9.80665 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(-0.08 m);
HydroModel1.setFPXPos(0.0846 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-0.05000000075 m);
HydroModel1.addReportZWaterline(0.4499999993 m);
HydroModel1.setKidTag("e54fb8ad-ab4d-46d6-9084-bb1e67c88bb0");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsGDFFile, "../../../../Users/henrikil/Desktop/HT_addedmass/HT.GDF", false, false);
PanelModel1.setKidTag("894e590a-3e1b-4ba9-80a7-6c113b5c1a6a");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 100 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("5d3ecdb2-6549-49ad-8311-995e2dcd46d1");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, MassModelSpecified);
MassModel1.setUserMassCoordinateSystem(COGCenteredCoordinateSystem);
MassModel1.setTotalMass(0.6444981731 Kg);
MassModel1.setCOG(Point(0.009988527673 m,-0.0001151319751 m,-0.001112735636 m));
MassModel1.setRadiusGyration(Vector3d(0.02882176814 m,0.0397422373 m,0.03871671777 m));
MassModel1.setSpecificProductInertia(-0.002111586481 m, 0.0008467896097 m, 5.126909412e-005 m);
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
MassModel1.setKidTag("e52f1a00-f101-4de4-9085-1980a45d4435");
// ***********************************************************
WadamOffbodyPoints1 = WadamOffbodyPoints(LoadingCondition1, OffbodyPointsFromGrid);
WadamOffbodyPoints1.setMinPoint(-10 m, -10 m);
WadamOffbodyPoints1.setMaxPoint(10 m, 10 m);
WadamOffbodyPoints1.setNoSteps(30, 30);
WadamOffbodyPoints1.regenerateGeometry();
WadamOffbodyPoints1.setKidTag("cd70dda3-a670-4669-83cf-c8d19b145538");
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(false);
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.wadamLite(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
WadamRun1.calculateDrift(false);
WadamRun1.driftByFarFieldIntegration(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(50000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.setIncludeForwardSpeedEffect(false);
WadamRun1.setForwardSpeedX(0 m/s);
WadamRun1.setForwardSpeedY(0 m/s);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(0.1726 m);
WadamRun1.calculateRollDamping(false);
WadamRun1.specifyOutputDirectory(false, false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
WadamRun1.setKidTag("8cafb472-fe9e-4286-8eca-39b93fd0fb3a");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.rollDamping = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = false;
WadamWizard1.pressurePanels = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(WadamOffbodyPoints1);
WadamWizard1.addEditObject(WadamRun1);
WadamWizard1.setKidTag("f5348c13-14bb-4000-ad40-c8b2eca0d594");
