%%
close all
clear all

%% Functions
PHI_Phase =@(t,alpha,omega,shift_h,shift_v) sin(omega*t + shift_h)*(alpha + shift_v);
PHI_DOT=@(t,alpha,omega,shift_h,shift_v) cos(omega*t+shift_h)*(alpha+shift_v)*omega;
PHI_DOT_DOT=@(t,alpha,omega,shift_h,shift_v) -sin(omega*t+shift_h)*(alpha+shift_v)*omega^2;
addpath('..\..\HydroForceFunc');
load('PARAM')
load('DATA_H1LT_Added.mat')
%% Constants
h = 0.1;
f = 0;
ROD = 0.476;
m1 = 1.43;
%% Phase shift
shift_v1 = zeros(1,9);
for i = 1:9 %
    shift_v1(i) = acos(dot(DATA_H1LT_Added{2,i}(:,7),DATA_H1LT_Added{2,i}(:,4)) ./ (norm(DATA_H1LT_Added{2,i}(:,7))*norm(DATA_H1LT_Added{2,i}(:,4))));
end

%% Vertical shift
shift_h1 = zeros(1,9);
for j = 1:9
shift_h1(j) = mean([(max(DATA_H1LT_Added{2,j}(:,7)) - max(DATA_H1LT_Added{2,j}(:,4)))/2 (abs(min(DATA_H1LT_Added{2,j}(:,7)) - min(DATA_H1LT_Added{2,j}(:,4))))/2]);
end

%% Numerical derivatives
phi_dot1 = diff(DATA_H1LT_Added{2,1}(:,7))/h;
phi_dot_dot1 = diff(phi_dot1)/h;
%% Phase shifter mathematical derivatives
j = 1;
p_d1 = cell(1,9);
p_dd1 = cell(1,9);
for j = 1:9
    for i = 1:length(DATA_H1LT_Added{2,j}(:,7))
        p_d1{1,j}(1,i) = PHI_DOT(DATA_H1LT_Added{2,j}(i,1),DATA_H1LT_Added{2,j}(1,2),DATA_H1LT_Added{2,j}(1,3),-shift_v1(j),shift_h1(j));
        p_dd1{1,j}(1,i) = PHI_DOT_DOT(DATA_H1LT_Added{2,j}(i,1),DATA_H1LT_Added{2,j}(1,2),DATA_H1LT_Added{2,j}(1,3),-shift_v1(j),shift_h1(j));
    end
end

%% Filter y
windowSize = 10; 
b = (1/windowSize)*ones(1,windowSize);
a_f = 1;
for i = 1:9
    y1 = filtfilt(b,a_f,DATA_H1LT_Added{2,i}(:,11));
    f = f+1;
    figure(f)
    plot(y1)
    hold on
    plot(DATA_H1LT_Added{2,i}(:,11))
    DATA_H1LT_Added{2,i}(:,11) = y1;
end
%%
p_dd1 = p_dd1;
p_d1 = p_d1;
%%
f = f+1;
figure(f)
plot(DATA_H1LT_Added{2,1}(:,11))
hold on
plot(p_dd1{1,1}(1,:))
%plot(p_d*ROD)

%% Vy
VY1 = cell(1,9);
AY1 = cell(1,9);
for i = 1:9
    VY1{1,i}(1,:) = p_d1{1,i}(1,:)*ROD;
    AY1{1,i}(1,:) = p_dd1{1,i}(1,:)*ROD;
end

%%
FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);

MA1 = cell(1,9);
F_DRAG1 = cell(1,9);
for i = 1:9
    MA1{1,i}(1,:) = m1*AY1{1,i}(1,:);
end

%%
load('C:\Users\garde\Dropbox\Prosjektoppgave - Snake Robot\MATLAB\Experiments\v2\Results\Resultino\HYDRO_P_EXP_ang.mat')
%%
FY1 = cell(1,9);
for i = 1:9
    for j = 1:length(VY1{1,i}(1,:))
        FY1{1,i}(1,j) = FY_4(VY1{1,i}(1,j),HYDRO_P_EXP_ang{2,4}(1,1),HYDRO_P_EXP_ang{2,4}(1,2),HYDRO_P_EXP_ang{2,4}(1,3),HYDRO_P_EXP_ang{2,4}(1,4),1);
    end
    
end

%%
% 1=tid, 2=alpha, 3=omega, 4=phi_ref, 5= phi_ref_dot, 6=phi_ref_dot_dot,
% 7=phi, 8=phi_dot, 9=phi_dot_dot, 10=Fx, 11=Fy, 12=Fz, 13=Tx, 14=Ty, 15=Tz

load('BUOY_H1LT.mat');
B1 = mean(mean(BUOY_H1LT));
ADDED_m1 = cell(1,9);
ADDED_m_no_a1 = cell(1,9);
test1 = cell(1,9);
%%
for i = 1:9
    for j = 1:length(DATA_H1LT_Added{2,i}(:,11))
        test1{1,i}(1,j) =B1*sin(DATA_H1LT_Added{2,i}(j,7))-MA1{1,i}(1,j)+FY1{1,i}(1,j);
        ADDED_m1{1,i}(1,j) = -DATA_H1LT_Added{2,i}(j,11)+MA1{1,i}(1,j)+FY1{1,i}(1,j)+B1*sin(DATA_H1LT_Added{2,i}(j,7));
        ADDED_m_no_a1{1,i}(1,j) = ADDED_m1{1,i}(1,j)/(p_dd1{1,i}(1,j)*rho*pi*a_f^2*2*l);
    end
end

%%
for i = 1:9
f = f+1;
figure(f)
plot(DATA_H1LT_Added{2,i}(:,11))
hold on
plot(MA1{1,i}(1,:))
plot(FY1{1,i}(1,:))
plot(B1*sin(DATA_H1LT_Added{2,i}(:,7)));
plot(test1{1,i}(1,:))
legend('FY','ma','Drag','Buoy','test')
end
%%
windowSize = 20; 
b = (1/windowSize)*ones(1,windowSize);
a_f = 1;
for i = 1:9
    y1 = filter(b,a_f,ADDED_m_no_a1{1,i}(1,:));
    f = f+1;
    figure(f)
    plot(y1)
    hold on
    plot(ADDED_m_no_a1{1,i}(1,:))
    ADDED_m_no_a1{1,i}(1,:) = y1;
end
%%
for i = 1:9
f =f+1;
figure(f)
plot(ADDED_m_no_a1{1,9}(1,:))
end

%%
for i = 1:9
    CA1(i) = mean(ADDED_m_no_a1{1,i}(1,:));
end

%%
added_teo1 = cell(1,9);
for i = 1:9
    for j = 1:length(p_dd1{1,i}(1,:))
        added_teo1{1,i}(1,j) = (p_dd1{1,i}(1,j)*rho*pi*a^2*2*l);
    end
end
%%
f = f+1;
figure(f)
hold on
%%
for i = 1:9
GARD1(i) = lsqnonneg(added_teo1{1,i}(1,:)',ADDED_m1{1,i}(1,:)')
end