%%
close all
clear all

%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

%%
load('H1LT_v01_run1.mat')
load('H1LT_v01_run1_noise2.mat')
load('H1LT_v01_run2.mat')
load('H1LT_v01_run2_noise2.mat')
load('H1LT_v01_run3.mat')
load('H1LT_v01_run3_noise2.mat')

%%
temp = [H1LT_v01_run1(:,2) H1LT_v01_run1_noise2(:,2) H1LT_v01_run2(:,2) H1LT_v01_run2_noise2(:,2)];
temp2 = [H1LT_v01_run2(:,2) H1LT_v01_run2_noise2(:,2) H1LT_v01_run3(:,2) H1LT_v01_run3_noise2(:,2)];

Fx2 = mean(temp2');
Fx = mean(temp');
%%


TITLE = ['Fx';'Fy';'Fz';'Tx';'Ty';'Tz'];

for i = 1:6
    f = f+1;
    figure(f)
    hold on
    grid on
    plot(H1LT_v01_run1(:,1),Fx)
    plot(H1LT_v01_run1(:,1),H1LT_v01_run1(:,i+1))
    plot(H1LT_v01_run1_noise2(:,1),H1LT_v01_run1_noise2(:,i+1))
    plot(H1LT_v01_run2(:,1),H1LT_v01_run2(:,i+1))
    plot(H1LT_v01_run2_noise2(:,1),H1LT_v01_run2_noise2(:,i+1))
    legend('supahaverage','fx2','Run1','Run1-n2','Run2','Run2-n2','Run3','Run3-n2')
    title(TITLE(i,:))
end