clear all
close all


%%
temp = cell(1,1);
avg_angle = cell(1,4);
avg_0deg = cell(1,6);
Result_drag_angle = cell(1,8);
Result_drag_0deg = cell(1,2);

%% get results from angle experiments
i = 2;
j = 3;
avg_angle{1,1} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run1.mat']));
avg_angle{1,2} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run1_noise2.mat']));
avg_angle{1,3} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run2.mat']));
avg_angle{1,4} = struct2array(load(['..\H' num2str(i) 'LT_angled_v0' num2str(j) '\H' num2str(i) 'LT_v0' num2str(j) '_run2_noise2.mat']));
%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

%%
dag = 'Dag1_18042017';
exp_name = 'H2LT_v03';
folder = '..\..\..\..\..\Eksperiment\v2\';
%% noise
[num,text,raw] = xlsread([folder dag '\' exp_name '\noise.csv']);
Noise11 = num;
[num,text,raw] = xlsread([folder dag '\' exp_name '\noise_after.csv']);
Noise12 = num;

%% Load data
Data = cell(2,30);
for i = 0:30
    [num,text,raw] = xlsread([folder dag '\' exp_name '\' num2str(i*3) '.csv']);
    Data{1,i+1} = num;
end
%%
dag = 'Dag1_18042017';
exp_name = 'H2LT_v03_reverse';
folder = '..\..\..\..\..\Eksperiment\v2\';
%% noise
[num,text,raw] = xlsread([folder dag '\' exp_name '\noise.csv']);
Noise21 = num;
[num,text,raw] = xlsread([folder dag '\' exp_name '\noise_after.csv']);
Noise22 = num;


%% Load data
for i = 0:30
    [num,text,raw] = xlsread([folder dag '\' exp_name '\' num2str(i*3) '.csv']);
    Data{2,i+1} = num;
end

%%
Fx = zeros(31,1);
Fy = zeros(31,1);
Fz = zeros(31,1);
Tx = zeros(31,1);
Ty = zeros(31,1);
Tz = zeros(31,1);
Fx2 = zeros(31,1);
Fy2 = zeros(31,1);
Fz2 = zeros(31,1);
Tx2 = zeros(31,1);
Ty2 = zeros(31,1);
Tz2 = zeros(31,1);
%%
for i = 1:31
    Fx(i) = mean(Data{1,i}(:,1));
    Fy(i) = mean(Data{1,i}(:,2))*-1;
    Fz(i) = mean(Data{1,i}(:,3));
    Tx(i) = mean(Data{1,i}(:,4));
    Ty(i) = mean(Data{1,i}(:,5));
    Tz(i) = mean(Data{1,i}(:,6));
    
    Fx2(i) = mean(Data{2,i}(:,1));
    Fy2(i) = mean(Data{2,i}(:,2))*-1;
    Fz2(i) = mean(Data{2,i}(:,3));
    Tx2(i) = mean(Data{2,i}(:,4));
    Ty2(i) = mean(Data{2,i}(:,5));
    Tz2(i) = mean(Data{2,i}(:,6));
end

%% Plot adjustet Fy and mean Fy
f = f+1;
figure(f)
hold on
grid on
plot(avg_angle{1,1}(:,1),mean([avg_angle{1,1}(:,3) avg_angle{1,2}(:,3) avg_angle{1,3}(:,3) avg_angle{1,4}(:,3)]'),'linewidth',2)
plot(avg_angle{1,4}(:,1),Fy)
plot(avg_angle{1,4}(:,1),Fy2)

xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
legend('$\bar{f}_y$','$f_{y,1}$','$f_{y,2}$','location','best')
axis([50 90 1.8 inf])
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\compare_measurements.eps'])
%% Noise
f = f+1;
figure(f)
hold on
grid on
plot(0.1:0.1:20,Noise11(:,2))
plot(0.1:0.1:20,Noise12(:,2))
plot(0.1:0.1:20,Noise21(:,2))
plot(0.1:0.1:20,Noise22(:,2))
legend('Prior to run 1','Subsequent to run 1','Prior to run 2','Subsequent to run 2','location','best')
xlabel('Time [s]')
ylabel('Force Y [N]')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\compare_noise.eps'])