%%
clear all;
close all;

%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
p_whole = 1;
p_selection = 0;
p_noise = 0;
p_test = 0;

%% Constants
I = ['a1';'a2';'a3';'b1';'c1';'d1'];
W = ['025';'050';'075';'100';'125';'150';'175';'200'];
stop_W = 8;
stop_I = 6;
VelGlob = zeros(6,stop_W);
STOP = zeros(6,stop_W);
MEAS_TIME = zeros(6,stop_W);
%weight = 100;
%% read from velocity file
xlsrange = 'E30:I77';
sheet = 'H1LT';
[num,txt,raw] = xlsread('..\..\..\Eksperiment\velocity_estimates (1).xlsx',sheet,xlsrange);

%%
for i= 1:stop_W
        VelGlob(1:3,i) = num(1+3*(i-1):3+3*(i-1),1);
        STOP(1:3,i) = num(1+3*(i-1):3+3*(i-1),4);
        MEAS_TIME(1:3,i) = num(1+3*(i-1):3+3*(i-1),5);
        VelGlob(4,i) = num(24+i,1);
        STOP(4,i) = num(24+i,4);
        MEAS_TIME(4,i) = num(24+i,5);
        VelGlob(5,i) = num(32+i,1);
        STOP(5,i) = num(32+i,4);
        MEAS_TIME(5,i) = num(32+i,5);
        VelGlob(6,i) = num(40+i,1);
        STOP(6,i) = num(40+i,4);
        MEAS_TIME(6,i) = num(40+i,5);
end

%% load data
for i = 1:stop_W
    for j = 1:stop_I
        load(['H1LT_00deg_' W(i,:) 'g_' I(j,:) '.mat'])
    end
end

%% Legend
LEGEND = char(zeros(stop_W,8));
LEGEND2 = char(zeros(1,7));
ind = 1;
for j = 1:stop_W 
    for i = 1:stop_I
        LEGEND(ind,:) = [W(j,:) 'g\_' I(i,:)];
        ind = ind+1;
    end
    LEGEND2(j,:) = ['0.' W(j,:) 'kg'];
end

%% Find stop
Imp_Tresh = 1;
p2 = 0.275;
p1_p2 = 0.258;
Time_before_imp_sel = 2.4;
Time_after_imp_sel = 0.4;
Time_after_imp = 0.4;
Time_before_imp = 8;

Start = zeros(stop_I,stop_W);
Start_whole = zeros(stop_I,stop_W);
Stop = zeros(stop_I,stop_W);
Stop_whole = zeros(stop_I,stop_W);
for j = 1:stop_W
    for i = 1:stop_I
        eval(['st = find(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(:,1) > ' num2str(Imp_Tresh) ');']);
        eval(['avg = H1LT_00deg_' W(j,:) 'g_' I(i,:) '(1,8);']);
        eval(['freq = H1LT_00deg_' W(j,:) 'g_' I(i,:) '(2,8);']);
        Stop(i,j) = st(1) - floor(STOP(i,j)/(avg/freq))-1;
        Start(i,j) = Stop(i,j) - floor(MEAS_TIME(i,j)/(avg/freq));
        Stop_whole(i,j) = st(1) + floor(Time_after_imp/(avg/freq));
        Start_whole(i,j) = st(1) - floor(Time_before_imp/(avg/freq));
        
    end
end

%% Plot test x
if p_test ==1
    f = f+1;
    figure(f)
    hold on
    title('Test plot - Force X')
    for j = 1:stop_W
    for i = 1:stop_I
        eval(['plot(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(:,1))'])
    end
    end
    legend(LEGEND)
end
%% Plot X
if p_whole == 1
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
    for i = 1:stop_I
        eval(['plot(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start_whole(i,j):Stop_whole(i,j),7)-H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start_whole(i,j),7),H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start_whole(i,j):Stop_whole(i,j),1));'])
    end
end
ylabel('Force X [N]')
title('Force X from each experimental run');
grid on
xlabel('Seconds');
legend(LEGEND,'location','best')
end



%% Plot X selection
if p_selection == 1
f = f + 1;
figure(f);
hold on
for j = 1:stop_W

for i = 1:stop_I
	eval(['plot(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j):Stop(i,j),7)-H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j),7),H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j):Stop(i,j),1));'])
end
end

ylabel('Force X [N]')
title(['Force X, from ' num2str(Time_before_imp_sel) 's to ' num2str(Time_after_imp_sel) 's before impact']);
grid on
xlabel('Seconds elapsed from start of selection');
legend(LEGEND,'location','best')
end

%% Mean and noise
ind = 1;
noise_time = 5;
Snittx = zeros(stop_I,stop_W);
Snitt_noisex = zeros(stop_I,stop_W);
if p_noise == 1
    f = f+1;
    figure(f)
    title('noise')
    ylabel('Force X [N]')
    hold on
    grid on
end
for j = 1:stop_W
for i = 1:stop_I
	eval(['meansx = mean(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j):Stop(i,j),1));']);
	eval(['freq = H1LT_00deg_' W(j,:) 'g_' I(i,:) '(2,8);'])
	eval(['avg = H1LT_00deg_' W(j,:) 'g_' I(i,:) '(1,8);'])
	eval(['means_noisex = mean(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(1:noise_time*(freq/avg),1));']);
    if p_noise == 1
        eval(['plot(H1LT_00deg_' W(j,:) 'g_' I(i,:) '(1:noise_time*(freq/avg),1));'])
    end
	Snittx(i,j) = meansx;
	Snitt_noisex(i,j) = means_noisex;
end
end

if p_noise == 1
    legend(LEGEND,'location','best')
end

%% Makes result files
Resultx_H1LT = zeros(2,stop_W);
%%
for i = 1:stop_W
    eval(['Resultx_H1LT(1,i) = mean(Snittx(:,i)-Snitt_noisex(:,i));']);
	eval(['Resultx_H1LT(2,i) = mean(VelGlob(:,i));'])
end
%%
H1LT_0deg = Resultx_H1LT';
save('H1LT_0deg.mat','H1LT_0deg')
%% Theoretical

rho = 1025;
a = 0.05;
b = 0.045;
l = 0.09;
HODEA = 0.005919;
HALEA = 0.004757;
Ct = 0.5*rho*pi*((a+b)/2)*2*l;
Cn = 0.5*rho*2*a*2*l;

% previous estimation of  coefficients
load('..\..\Sysid_Cf.mat')
%
Cfhh1 = Cf(1);
Cfhh2 = Cf(2);
Cfl1 = Cf(3);
Cfl2 = Cf(4);
Cfxy1 = Cf(5);
Cfxy2 = Cf(6);

% Force Functions for x
Fxhh1 = @(Vx,Cfhh1) -0.5*pi*rho*a*b*Vx*Cfhh1;
Fxhh2 = @(Vx,Cfhh2) -0.5*sign(Vx)*pi*rho*a*b*Vx^2*Cfhh2;
Fxl1 = @(Vx,Cfl1,N) -Ct*Vx*Cfl1*N;
Fxl2 = @(Vx,Cfl2,N) -sign(Vx)*Ct*Vx^2*Cfl2*N;
Fxy1 = @(Vy,Cfxy1) -sign(Vy)*0.5*Cn*Vy*Cfxy1;
Fxy2 = @(Vy,Cfxy2) 0.5*Cn*Vy^2*Cfxy2;
%
Teo_x = zeros(1,100);
FX = @(Vx,Vy,Cfhh1,Cfhh2,Cfl1,Cfl2,Cfxy1,Cfxy2,N) Fxhh1(Vx,Cfhh1)+Fxhh2(Vx,Cfhh2)+Fxl1(Vx,Cfl1,N)+Fxl2(Vx,Cfl2,N)+Fxy1(Vy,Cfxy1)+Fxy2(Vy,Cfxy1);
for i = 1:100
Teo_x(i) = FX(i/100,0,Cfhh1,Cfhh2,Cfl1,Cfl2,Cfxy1,Cfxy2,1);
end
%% velocity/ForcePlot and weight/ForcePlot?
load('..\..\..\MATLAB\Simulations_master\v3\H1LT_sim_v3.mat')
f = f+1;
figure(f)
hold on
grid on
plot(Resultx_H1LT(2,:),Resultx_H1LT(1,:),'linewidth',1)
plot(H1LT_sim_v3(1:50,2),H1LT_sim_v3(1:50,4),'-.')
B = 0.01:0.01:1;
plot(B,Teo_x,'--')

for i = 1:stop_W
    plot(VelGlob(:,i),Snittx(:,i)-Snitt_noisex(:,i),'rx')
    if i > 1
    legend OFF
    end
end
%% SAVE
H1LT_0deg_Fx = Snittx-Snitt_noisex;
H1LT_0deg_Vx = VelGlob;
save('H1LT_0deg_Fx.mat', 'H1LT_0deg_Fx')
save('H1LT_0deg_Vx.mat', 'H1LT_0deg_Vx')
%%

%V = axis;
legend('Exp','Sim','Teo','Exp-raw')
%axis(V)
title('Force measurements from zero-angled experiments - H1LT')
ylabel('Force X [N]')
xlabel('Velocity X [m/s]')
%print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\exp_0deg_h1lt.eps');
%% ID PLOT FOR NOTATION HELL
st = find(H1LT_00deg_100g_a1(:,1) > Imp_Tresh);
f = f+1;

figure(f)
hold on
grid on
grid minor
plot(H1LT_00deg_100g_a1(:,1),'b')
vline(st(1),'--r')
hline(Imp_Tresh,'--k')
vline(Start(1,4)-20,'--r')
vline(Stop(1,4)-5,'--r')
vline(100,'--r')
axis([0 Stop(1,4)+20 -3 5])
legend('$f_k(m)$','$Treshold$','location','best')
ylabel('Force X [N]')
xlabel('Time [s]')
%title('Overview over time definitions')
set(gca, 'XTick',[100 Start(1,4)-20 Stop(1,4)-5 st(1)+3],'XTickLabel',{'$\mathbf{t_n}$','$\mathbf{t_{k,1}}$','$\mathbf{t_{k,2}}$','$\mathbf{t_i}$'})
tightfig(f);
%%print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\Notation_hell1.eps');

%% ID PLOT FOR NOTATION HELL 1
f = f+1;
figure(f)
hold on
grid on
plot((1:1:25)/4+12,H1LT_00deg_125g_b1(Start(4,5)-20:Stop(4,5)-4))
hline(Snittx(4,5),'--')
hline(Snittx(4,5)-Snitt_noisex(4,5),'--')
%title('Overview over measurement definitions')
%set(gca, 'XTick',[])
ylabel('Force [N]')
xlabel('Time [s]')
legend('$f_k(m)$ from $t_{k,1}$ to $t_{k,2}$','$\bar{f}_{meas,k}$','$\bar{f}_{meas,k}-\bar{f}_{noise,k}$','location','best')
%tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\Notation_hell2_1.eps');
%% ID PLOT FOR NOTATION HELL 1
f = f+1;
figure(f)
hold on
grid on
plot((1:100)/20,H1LT_00deg_125g_b1((1:100),1))
hline(Snitt_noisex(4,5),'--')
%title('Overview over measurement definitions')
%set(gca, 'XTick',[])
ylabel('Force [N]')
xlabel('Time [s]')
legend('$f_k(m)$ from 0 to $t_n$','$\bar{f}_{noise,k}$','location','best')
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\Notation_hell2_2.eps');

%% PLOT FOR VARIANCE?
f = f+1;
figure(f)
hold on
grid on
plot(Snittx,'linewidth',1.5)%,'x','linewidth',2)
legend(LEGEND2,'location','best')
%title('Results from each run for zero-angle - H1LT ')
set(gca,'XTick',[1 2 3 4 5 6])
xlabel('Run')
ylabel('Force X [N]')
hline(mean(Snittx),'--r')
%tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\var_plot_0deg.eps');