%%
clear all;
close all;


%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

weight = '050g';

p_whole = 0;
p_selection = 0;

%% Constants
A = ['03';'06';'09';'12';'15';'18';'21';'24';'27';'30';'33';'36';'39'];
W = ['050';'075';'100'];
stop_W = 3;
stop_A = 13;
%weight = 100;
VelGlob = zeros(stop_W,stop_A);
VelGlob_temp = zeros(stop_W,stop_A);
STOP = zeros(stop_W,stop_A);
STOP_temp = zeros(stop_W,stop_A);
MEAS_TIME = zeros(stop_W,stop_A);
MEAS_TIME_temp = zeros(stop_W,stop_A);
Stop = zeros(stop_W,stop_A);
Stop_whole = zeros(stop_W,stop_A);
Start = zeros(stop_W,stop_A);
Start_whole = zeros(stop_W,stop_A);

%% Load velocity data
vstart100g = 79;
vstart050g = 93;
vstart075g = 107;
sheet = 'H1LT';
xlsrange = 'E79:I119';

[num,txt,raw] = xlsread('..\..\..\Eksperiment\velocity_estimates (1).xlsx',sheet,xlsrange);
%%
INDEX = [2 3 1];%Used to the !logical sequence of experiments
for i = 1:stop_W
    VelGlob(i,:) = num(1+14*(INDEX(i)-1):13+14*(INDEX(i)-1),1);
    STOP(i,:) = num(1+14*(INDEX(i)-1):13+14*(INDEX(i)-1),4);
    MEAS_TIME(i,:) = num(1+14*(INDEX(i)-1):13+14*(INDEX(i)-1),5);
end
%% load data
for i = 1:stop_W
    for j = 1:stop_A
        load(['H1LT_' A(j,:) 'deg_' W(i,:) 'g_a1.mat'])
    end
end

%% Legend
ind = 1;
for i = 1:stop_W 
    for j = 1:stop_A
        LEGEND(ind,:) = [W(i,:) 'g - $\theta$ = ' A(j,:) '$^\circ$'];
        ind = ind+1;
    end
end

%% Find stop
Imp_Tresh = 1;
Time_before_imp_sel = 2.4;
Time_after_imp_sel = 0.4;
Time_after_imp = 0.4;
Time_before_imp = 8;
ind = 1;
for j = 1:stop_W
    for i = 1:stop_A
        eval(['st = find(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(:,1) > ' num2str(Imp_Tresh) ');']);
        eval(['avg = H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1,8);']);
        eval(['freq = H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(2,8);']);
        Stop(j,i) = st(1) - floor(STOP(j,i)/(avg/freq))-1;
        Start(j,i) = Stop(j,i) - floor(MEAS_TIME(j,i)/(avg/freq));
        Start_whole(j,i) = st(1) - floor(Time_before_imp/(avg/freq));
        Stop_whole(j,i) = st(1) + floor(Time_after_imp/(avg/freq));
    end
end


if p_whole == 1
%% Plot X
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
    for i = 1:stop_A
        eval(['plot(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),7)-H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i),7),H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),1));'])
    end
end
ylabel('Force X [N]')
title('Force X from each experimental run');
grid on
xlabel('Seconds');
legend(LEGEND,'location','best')

%% Plot Y
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
for i = 1:stop_A
    eval(['plot(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),7)-H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i),7),H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),2));'])
end
end
ylabel('Force Y [N]')
title('Force Y from each experimental run');
grid on
xlabel('Seconds');
legend(LEGEND,'location','best')
end

if p_selection == 1
%% Plot X selection
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
for i = 1:stop_A
	eval(['plot(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),7)-H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i),7),H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),1));'])
end
end

ylabel('Force X [N]')
title(['Force X, from ' num2str(Time_before_imp_sel) 's to ' num2str(Time_after_imp_sel) 's before impact']);
grid on
xlabel('Seconds elapsed from start of selection');
legend(LEGEND,'location','best')
%% Plot Y selection
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
for i = 1:stop_A
	eval(['plot(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),7)-H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i),7),H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),2));'])
end
end
ylabel('Force Y [N]')
title(['Force Y, from ' num2str(Time_before_imp_sel) 's to ' num2str(Time_after_imp_sel) 's before impact']);
grid on
xlabel('Seconds elapsed from start of selection');
legend(LEGEND,'location','best')
end
%% Mean
ind = 1;
noise_time = 5;
for j = 1:stop_W
for i = 1:stop_A
	eval(['meansx = mean(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),1));']);
    eval(['meansy = mean(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),2));']);
	eval(['freq = H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(2,8);'])
	eval(['avg = H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1,8);'])
	eval(['means_noisex = mean(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1:noise_time*(freq/avg),1));']);
    eval(['means_noisey = mean(H1LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1:noise_time*(freq/avg),2));']);
	Snittx(j,i) = meansx;
    Snitty(j,i) = meansy;
	Snitt_noisex(j,i) = means_noisex;
    Snitt_noisey(j,i) = means_noisey;
	means = 0;
end
end

%% Makes result files
for i = 1:stop_A
    ANGLE(i) = i*3;
end

for i = 1:stop_W
    eval(['Resultx' W(i,:) 'g(1,:) = Snittx(i,:);']);
    eval(['Resulty' W(i,:) 'g(1,:) = Snitty(i,:);']);
    eval(['Resultx' W(i,:) 'g(2,:) = Snitt_noisex(i,:);'])
    eval(['Resulty' W(i,:) 'g(2,:) = Snitt_noisey(i,:);'])
    eval(['Resultx' W(i,:) 'g(3,:) = Snittx(i,:)-Snitt_noisex(i,:);'])
    eval(['Resulty' W(i,:) 'g(3,:) = Snitty(i,:)-Snitt_noisey(i,:);'])
    eval(['Resultx' W(i,:) 'g(4,:) = ANGLE;'])
    eval(['Resulty' W(i,:) 'g(4,:) = ANGLE;'])
    for j = 1:stop_A
        eval(['Resultx' W(i,:) 'g(5,j) = cosd(ANGLE(j))*VelGlob(i,j);'])
        eval(['Resulty' W(i,:) 'g(5,j) = -sind(ANGLE(j))*VelGlob(i,j);'])
    end
    eval(['Resultx' W(i,:) 'g(6,:) = VelGlob(i,:);'])
    eval(['Resulty' W(i,:) 'g(6,:) = VelGlob(i,:);'])
end
%% %[SnittF Noise Corrected Angle Velocity]
H1LT_ANGLE = [Resultx050g' Resulty050g'; Resultx075g' Resulty075g'; Resultx100g' Resulty100g'];
save('H1LT_ANGLE.mat','H1LT_ANGLE')
%% Angle/ForcePlot
%%
f = f+1;
figure(f)
%X
subplot(2,1,1)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resultx' W(i,:) 'g(4,:),Resultx' W(i,:) 'g(3,:))'])
    eval(['plot(Resultx' W(i,:) 'g(4,:),Resultx' W(i,:) 'g(1,:),''--'')'])
end
set(gca,'Xtick',ANGLE)
title(['Force measurements from angled experiments'])
ylabel('Force X [N]')
xlabel('Angle $\theta$  [$^\circ$]')
legend('50g','50g with noise','75g','75g with noise','100g','100g with noise','location','best')
% Y
subplot(2,1,2)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resulty' W(i,:) 'g(4,:),Resulty' W(i,:) 'g(3,:))'])
    eval(['plot(Resulty' W(i,:) 'g(4,:),Resulty' W(i,:) 'g(1,:),''--'')'])
end
set(gca,'Xtick',ANGLE)
ylabel('Force Y [N]')
xlabel('Angle $\theta$  [$^\circ$]')
legend('50g','50g with noise','75g','75g with noise','100g','100g with noise','location','best')

%% velocity/ForcePlot
load('..\..\..\MATLAB\Simulations_master\v3\H1LT_sim_v3.mat')
f = f+1;
figure(f)
%X
subplot(2,1,1)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resultx' W(i,:) 'g(5,:),Resultx' W(i,:) 'g(3,:),''x'',''linewidth'',2)'])
end
V = axis;
plot(H1LT_sim_v3(51:174,2),H1LT_sim_v3(51:174,4),'.')
axis(V)
legend('50g','75g','100g','simulation')
title(['Force measurements from angled experiments'])
ylabel('Force X [N]')
xlabel('Velocity X [m/s]')
% Y
subplot(2,1,2)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resulty' W(i,:) 'g(5,:),Resulty' W(i,:) 'g(3,:),''x'',''linewidth'',2)'])
end
V = axis;
plot(H1LT_sim_v3(51:174,3),H1LT_sim_v3(51:174,5),'.')
axis(V)
legend('50g','75g','100g','simulation')
ylabel('Force Y [N]')
xlabel('Velocity Y [m/s]')
