%%
clear all;
close all;


%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
p_whole = 0;
p_selection = 0;
p_noise = 0;
p_test = 0;

%% Constants
I = ['a1';'a2';'a3'];
W = ['050';'075';'100';'125';'150'];
stop_W = 5;
stop_I = 3;
VelGlob = zeros(3,stop_W);
STOP = zeros(3,stop_W);
MEAS_TIME = zeros(3,stop_W);
%weight = 100;
%%
xlsrange = 'E5:I19';
sheet = 'H2LT';
[num,txt,raw] = xlsread('..\..\..\Eksperiment\velocity_estimates (1).xlsx',sheet,xlsrange);

%%
for i= 1:stop_W
        VelGlob(1:3,i) = num(1+3*(i-1):3+3*(i-1),1);
        STOP(1:3,i) = num(1+3*(i-1):3+3*(i-1),4);
        MEAS_TIME(1:3,i) = num(1+3*(i-1):3+3*(i-1),5);
end
%% load data
for i = 1:stop_W
    for j = 1:stop_I
        load(['H2LT_00deg_' W(i,:) 'g_' I(j,:) '.mat'])
    end
end

%% Legend
LEGEND = char(zeros(stop_W,8));
LEGEND2 = char(zeros(1,4));
ind = 1;
for j = 1:stop_W 
    for i = 1:stop_I
        LEGEND(ind,:) = [W(j,:) 'g\_' I(i,:)];
        ind = ind+1;
    end
    LEGEND2(j,:) = [W(j,:) 'g'];
end

%% Find stop
Imp_Tresh = 1;
Time_before_imp_sel = 2.4;
Time_after_imp_sel = 0.4;
Time_after_imp = 0.4;
Time_before_imp = 8;

Start = zeros(stop_I,stop_W);
Start_whole = zeros(stop_I,stop_W);
Stop = zeros(stop_I,stop_W);
Stop_whole = zeros(stop_I,stop_W);
for j = 1:stop_W
    for i = 1:stop_I
        eval(['st = find(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(:,1) > ' num2str(Imp_Tresh) ');']);
        eval(['avg = H2LT_00deg_' W(j,:) 'g_' I(i,:) '(1,8);']);
        eval(['freq = H2LT_00deg_' W(j,:) 'g_' I(i,:) '(2,8);']);
        Stop(i,j) = st(1) - floor(STOP(i,j)/(avg/freq))-1;
        Start(i,j) = Stop(i,j) - floor(MEAS_TIME(i,j)/(avg/freq));
        Start_whole(i,j) = st(1) - floor(Time_before_imp/(avg/freq));
        Stop_whole(i,j) = st(1) + floor(Time_after_imp/(avg/freq));
    end
end

%% Plot test x
if p_test ==1
    f = f+1;
    figure(f)
    hold on
    title('Test plot - Force X')
    for j = 1:stop_W
    for i = 1:stop_I
        eval(['plot(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(:,1))'])
    end
    end
    legend(LEGEND)
end
%% Plot X
if p_whole == 1
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
    for i = 1:stop_I
        eval(['plot(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start_whole(i,j):Stop_whole(i,j),7)-H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start_whole(i,j),7),H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start_whole(i,j):Stop_whole(i,j),1));'])
    end
end
ylabel('Force X [N]')
title('Force X from each experimental run');
grid on
xlabel('Seconds');
legend(LEGEND,'location','best')
end



%% Plot X selection
if p_selection == 1
f = f + 1;
figure(f);
hold on
for j = 1:stop_W
for i = 1:stop_I
	eval(['plot(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j):Stop(i,j),7)-H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j),7),H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j):Stop(i,j),1));'])
end
end

ylabel('Force X [N]')
title(['Force X, from ' num2str(Time_before_imp_sel) 's to ' num2str(Time_after_imp_sel) 's before impact']);
grid on
xlabel('Seconds elapsed from start of selection');
legend(LEGEND,'location','best')
end

%% Mean and noise
ind = 1;
noise_time = 5;
Snittx = zeros(stop_I,stop_W);
Snitt_noisex = zeros(stop_I,stop_W);
if p_noise == 1
    f = f+1;
    figure(f)
    title('noise')
    ylabel('Force X [N]')
    hold on
    grid on
end
for j = 1:stop_W
for i = 1:stop_I
	eval(['meansx = mean(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(Start(i,j):Stop(i,j),1));']);
	eval(['freq = H2LT_00deg_' W(j,:) 'g_' I(i,:) '(2,8);'])
	eval(['avg = H2LT_00deg_' W(j,:) 'g_' I(i,:) '(1,8);'])
	eval(['means_noisex = mean(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(1:noise_time*(freq/avg),1));']);
    if p_noise == 1
        eval(['plot(H2LT_00deg_' W(j,:) 'g_' I(i,:) '(1:noise_time*(freq/avg),1));'])
    end
	Snittx(i,j) = meansx;
	Snitt_noisex(i,j) = means_noisex;
end
end
legend(LEGEND,'location','best')

%% Makes result files
Resultx_H2LT = zeros(2,stop_W);
%%
for i = 1:stop_W
    eval(['Resultx_H2LT(1,i) = mean(Snittx(:,i)-Snitt_noisex(:,i));']);
	eval(['Resultx_H2LT(2,i) = mean(VelGlob(:,i));'])
end
%%
H2LT_0deg = Resultx_H2LT';
save('H2LT_0deg.mat','H2LT_0deg')
H2LT_0deg_Fx = Snittx-Snitt_noisex;
H2LT_0deg_Vx = VelGlob;
save('H2LT_0deg_Fx.mat', 'H2LT_0deg_Fx')
save('H2LT_0deg_Vx.mat', 'H2LT_0deg_Vx')
%% Theoretical

rho = 1025;
a = 0.05;
b = 0.045;
l = 0.09;
HODEA = 0.005919;
HALEA = 0.004757;
Ct = 0.5*rho*pi*((a+b)/2)*2*l;
Cn = 0.5*rho*2*a*2*l;

% previous estimation of  coefficients
load('..\..\Sysid_Cf.mat')
%
Cfhh1 = Cf(1);
Cfhh2 = Cf(2);
Cfl1 = Cf(3);
Cfl2 = Cf(4);
Cfxy1 = Cf(5);
Cfxy2 = Cf(6);

% Force Functions for x
Fxhh1 = @(Vx,Cfhh1) -0.5*pi*rho*a*b*Vx*Cfhh1;
Fxhh2 = @(Vx,Cfhh2) -0.5*sign(Vx)*pi*rho*a*b*Vx^2*Cfhh2;
Fxl1 = @(Vx,Cfl1,N) -Ct*Vx*Cfl1*N;
Fxl2 = @(Vx,Cfl2,N) -sign(Vx)*Ct*Vx^2*Cfl2*N;
Fxy1 = @(Vy,Cfxy1) -sign(Vy)*0.5*Cn*Vy*Cfxy1;
Fxy2 = @(Vy,Cfxy2) 0.5*Cn*Vy^2*Cfxy2;
%
Teo_x = zeros(1,100);
FX = @(Vx,Vy,Cfhh1,Cfhh2,Cfl1,Cfl2,Cfxy1,Cfxy2,N) Fxhh1(Vx,Cfhh1)+Fxhh2(Vx,Cfhh2)+Fxl1(Vx,Cfl1,N)+Fxl2(Vx,Cfl2,N)+Fxy1(Vy,Cfxy1)+Fxy2(Vy,Cfxy1);
for i = 1:100
Teo_x(i) = FX(i/100,0,Cfhh1,Cfhh2,Cfl1,Cfl2,Cfxy1,Cfxy2,2);
end
%% velocity/ForcePlot and weight/ForcePlot?
load('..\..\..\MATLAB\Simulations_master\v3\H2LT_sim_v3.mat')
f = f+1;
figure(f)
hold on
grid on
plot(Resultx_H2LT(2,:),Resultx_H2LT(1,:),'linewidth',1)
plot(H2LT_sim_v3(1:50,2),H2LT_sim_v3(1:50,4),'-.')
B = 0.01:0.01:1;
plot(B,Teo_x,'--')

for i = 1:stop_W
    plot(VelGlob(:,i),Snittx(:,i)-Snitt_noisex(:,i),'rx')
    if i > 1
    legend OFF
    end
end

%V = axis;
legend('Exp','Sim','Teo','Exp-raw')
%axis(V)
title('Force measurements from zero-angled experiments - H2LT')
ylabel('Force X [N]')
xlabel('Velocity X [m/s]')
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\exp_0deg_h2lt.eps');
