%%
clear all;
close all;

%% Vstart H2LT_angled
vstart075g = 27;
vstart100g = 41;
vstart125g = 55;
vstart = [vstart075g;vstart100g;vstart125g];
sheet = 'H2LT';
%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
p_whole = 0;
p_selection = 1;
p_noise = 1;
p_test = 1;

%% Constants
A = ['03';'06';'09';'12';'15';'18';'21';'24';'27';'30';'33';'36';'39'];
W = ['075';'100';'125'];
stop_W = 3;
stop_A = 13;
%% Velocities
VelGlob = zeros(stop_W,stop_A);
STOP = zeros(stop_W,stop_A);
MEAS_TIME = zeros(stop_W,stop_A);
Stop = zeros(stop_W,stop_A);
Stop_whole = zeros(stop_W,stop_A);
Start = zeros(stop_W,stop_A);
Start_whole = zeros(stop_W,stop_A);

%% Load data
xlsrange = 'E27:I67';
sheet = 'H2LT';
[num,txt,raw] = xlsread('..\..\..\Eksperiment\velocity_estimates (1).xlsx',sheet,xlsrange);
%%
for i = 1:stop_W
    VelGlob(i,:) = num(1+14*(i-1):13+14*(i-1),1);
    STOP(i,:) = num(1+14*(i-1):13+14*(i-1),4);
    MEAS_TIME(i,:) = num(1+14*(i-1):13+14*(i-1),5);
end
%% load data
for i = 1:stop_W
    for j = 1:stop_A
        load(['H2LT_' A(j,:) 'deg_' W(i,:) 'g_a1.mat'])
    end
end

%% Legend
ind = 1;
LEGEND = char(zeros(stop_W,28));
LEGEND2 = char(zeros(3,4));
for i = 1:stop_W 
    for j = 1:stop_A
        LEGEND(ind,:) = [W(i,:) 'g - $\theta$ = ' A(j,:) '$^\circ$'];
        ind = ind+1;
    end
    LEGEND2(i,:) = [W(i,:) 'g'];
end

%% Plot test x
if p_test ==1
    f = f+1;
    figure(f)
    
 
    subplot(2,1,1)
    title('Test plot - Force X')
    grid on
    hold on
    for j = 1:stop_W
    for i = 1:stop_A
        eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(:,1))'])
    end
    end
    legend(LEGEND)
    subplot(2,1,2)
    title('Test plot - Force X')
    hold on
    grid on
    for j = 1:stop_W
    for i = 1:stop_A
        eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(:,2))'])
    end
    end
    legend(LEGEND)
end

%% Find stop
Imp_Tresh = 1;
Time_before_imp_sel = 2.4;
Time_after_imp_sel = 0.4;
Time_after_imp = 0.4;
Time_before_imp = 8;
ind = 1;
Start = zeros(stop_W,stop_A);
Start_whole = zeros(stop_W,stop_A);
Stop = zeros(stop_W,stop_A);
Stop_whole = zeros(stop_W,stop_A);
for j = 1:stop_W
    for i = 1:stop_A
        eval(['st = find(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(:,1) > ' num2str(Imp_Tresh) ');']);
        eval(['avg = H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1,8);']);
        eval(['freq = H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(2,8);']);
        Stop(j,i) = st(1) - floor(STOP(j,i)/(avg/freq))-1;
        Start(j,i) = Stop(j,i) - floor(MEAS_TIME(j,i)/(avg/freq));
        Stop(j,i) = st(1) - floor(Time_after_imp_sel/(avg/freq));
        Stop_whole(j,i) = st(1) + floor(Time_after_imp/(avg/freq));
    end
end


%% Plot X
if p_whole == 1
f = f + 1;
figure(f);
subplot(2,1,1)
hold on
for j = 1:stop_W
    for i = 1:stop_A
        eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),7)-H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i),7),H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),1));'])
    end
end
ylabel('Force X [N]')
title('Force X from each experimental run');
grid on
xlabel('Seconds');
legend(LEGEND,'location','best')

% Plot Y
subplot(2,1,2)
hold on
for j = 1:stop_W
for i = 1:stop_A
    eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),7)-H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i),7),H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start_whole(j,i):Stop_whole(j,i),2));'])
end
end
ylabel('Force Y [N]')
title('Force Y from each experimental run');
grid on
xlabel('Seconds');
legend(LEGEND,'location','best')
end


%% Plot X selection
if p_selection == 1
f = f + 1;
figure(f);
subplot(2,1,1)
hold on
for j = 1:stop_W
for i = 1:stop_A
	eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),7)-H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i),7),H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),1));'])
end
end

ylabel('Force X [N]')
title(['Force X, from ' num2str(Time_before_imp_sel) 's to ' num2str(Time_after_imp_sel) 's before impact']);
grid on
xlabel('Seconds elapsed from start of selection');
legend(LEGEND,'location','best')
% Plot Y selection
subplot(2,1,2)
hold on
for j = 1:stop_W
for i = 1:stop_A
	eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),7)-H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i),7),H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),2));'])
end
end
ylabel('Force Y [N]')
title(['Force Y, from ' num2str(Time_before_imp_sel) 's to ' num2str(Time_after_imp_sel) 's before impact']);
grid on
xlabel('Seconds elapsed from start of selection');
legend(LEGEND,'location','best')
end
%% Mean
ind = 1;
noise_time = 5;
Snittx = zeros(stop_W,stop_A);
Snitty = zeros(stop_W,stop_A);
Snitt_noisex = zeros(stop_W,stop_A);
Snitt_noisey = zeros(stop_W,stop_A);
if p_noise == 1
    f = f+1;
    figure(f)
    subplot(2,1,1)
    title('Noise X')
    ylabel('Force X [N]')
    hold on
    grid on
    subplot(2,1,2)
    title('Noise Y')
    ylabel('Force Y [N]')
    hold on
    grid on
end

for j = 1:stop_W
for i = 1:stop_A
	eval(['meansx = mean(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),1));']);
    eval(['meansy = mean(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(Start(j,i):Stop(j,i),2));']);
	eval(['freq = H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(2,8);'])
	eval(['avg = H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1,8);'])
	eval(['means_noisex = mean(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1:noise_time*(freq/avg),1));']);
    eval(['means_noisey = mean(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1:noise_time*(freq/avg),2));']);
	Snittx(j,i) = meansx;
    Snitty(j,i) = meansy;
	Snitt_noisex(j,i) = means_noisex;
    Snitt_noisey(j,i) = means_noisey;
	means = 0;
    if p_noise == 1
        subplot(2,1,1)
        eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1:noise_time*(freq/avg),1));'])
        subplot(2,1,2)
        eval(['plot(H2LT_' A(i,:) 'deg_' W(j,:) 'g_a1(1:noise_time*(freq/avg),2));'])
    end
end
end
subplot(2,1,1)
legend(LEGEND)
subplot(2,1,2)
legend(LEGEND)
%% Makes result files
ANGLE = zeros(1,stop_A);
for i = 1:stop_A
    ANGLE(i) = i*3;
end

for i = 1:stop_W
    eval(['Resultx' W(i,:) 'g(1,:) = Snittx(i,:);']);
    eval(['Resulty' W(i,:) 'g(1,:) = Snitty(i,:);']);
    eval(['Resultx' W(i,:) 'g(2,:) = Snitt_noisex(i,:);'])
    eval(['Resulty' W(i,:) 'g(2,:) = Snitt_noisey(i,:);'])
    eval(['Resultx' W(i,:) 'g(3,:) = Snittx(i,:)-Snitt_noisex(i,:);'])
    eval(['Resulty' W(i,:) 'g(3,:) = Snitty(i,:)-Snitt_noisey(i,:);'])
    eval(['Resultx' W(i,:) 'g(4,:) = ANGLE;'])
    eval(['Resulty' W(i,:) 'g(4,:) = ANGLE;'])
    for j = 1:stop_A
        eval(['Resultx' W(i,:) 'g(5,j) = cosd(ANGLE(j))*VelGlob(i,j);'])
        eval(['Resulty' W(i,:) 'g(5,j) = -sind(ANGLE(j))*VelGlob(i,j);'])
    end
    eval(['Resultx' W(i,:) 'g(6,:) = VelGlob(i,:);'])
    eval(['Resulty' W(i,:) 'g(6,:) = VelGlob(i,:);'])
end
%%
H2LT_ANGLE = [Resultx075g' Resulty075g' ; Resultx100g' Resulty100g'; Resultx125g' Resulty125g'];
save('H2LT_ANGLE.mat','H2LT_ANGLE')
%% Angle/ForcePlot
%%
f = f+1;
figure(f)
%X
subplot(2,1,1)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resultx' W(i,:) 'g(4,:),Resultx' W(i,:) 'g(3,:))'])
end
legend OFF
for i = 1:stop_W
    eval(['plot(Resultx' W(i,:) 'g(4,:),Resultx' W(i,:) 'g(1,:),''--'')'])
end
legend(LEGEND2,'location','best')
set(gca,'Xtick',ANGLE)
title('Force measurements from angled experiments - H2LT')
ylabel('Force X [N]')
xlabel('Angle $\theta$  [$^\circ$]')
%legend('50g','50g with noise','75g','75g with noise','100g','100g with noise','location','best')
% Y
subplot(2,1,2)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resulty' W(i,:) 'g(4,:),Resulty' W(i,:) 'g(3,:))'])
end
legend OFF
for i = 1:stop_W
    eval(['plot(Resulty' W(i,:) 'g(4,:),Resulty' W(i,:) 'g(1,:),''--'')'])
end
legend(LEGEND2,'location','best')
set(gca,'Xtick',ANGLE)
ylabel('Force Y [N]')
xlabel('Angle $\theta$  [$^\circ$]')
%legend('50g','50g with noise','75g','75g with noise','100g','100g with noise','location','best')

%% velocity/ForcePlot
load('..\..\..\MATLAB\Simulations_master\v3\H2LT_sim_v3.mat')
f = f+1;
figure(f)
%X
subplot(2,1,1)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resultx' W(i,:) 'g(5,:),Resultx' W(i,:) 'g(3,:),''x'',''linewidth'',2)'])
end
% V = axis;
% plot(H2LT_sim_v3(51:174,2),H2LT_sim_v3(51:174,4),'.')
%axis(V)
%legend('50g','75g','100g','simulation')
legend(LEGEND2)
title(['Force measurements from angled experiments - H2LT'])
ylabel('Force X [N]')
xlabel('Velocity X [m/s]')
% Y
subplot(2,1,2)
hold on
grid on
for i = 1:stop_W
    eval(['plot(Resulty' W(i,:) 'g(5,:),Resulty' W(i,:) 'g(3,:),''x'',''linewidth'',2)'])
end
legend(LEGEND2)
% V = axis;
% plot(H2LT_sim_v3(51:174,3),H2LT_sim_v3(51:174,5),'.')
% axis(V)
ylabel('Force Y [N]')
xlabel('Velocity Y [m/s]')
