%%
clear all;
close all;


%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
LEGEND1 = ['50g ' ; '75g ' ; '100g'];
LEGEND2 = ['75g ' ; '100g' ; '125g'];
%%
load('H1LT_0deg_Vx.mat')
load('H2LT_0deg_Vx.mat')
load('H1LT_0deg_Fx.mat')
load('H2LT_0deg_Fx.mat')
load('H1LT_ANGLE.mat')
load('H2LT_ANGLE.mat')
%[Fx_av Fx_av_noise (Fx_av-Fx_av_noise) Angle Vx Vglob Fy_av Fy_av_noise (Fy_av-Fy_av_noise) Angle Vy Vglob]

ADD_I = [0 13 26];
zero_IND_H1LT = [2 3 4];
p_result = 0;
p_id = 1;
COLOR1 = ['xr';'xb';'xg'];
COLOR2 = ['r-.';'b-.';'g-.'];

if p_result == 1
%% H1LT - Angle,Fx
f = f+1;
figure(f)
hold on
grid on

for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR2(i,:))
end

xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
legend(LEGEND1,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H1LT_deg_fx.eps');
close
%% H1LT - Angle,Fy
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR2(i,:))
end

xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
legend(LEGEND1,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H1LT_deg_fy.eps');
close
%% H2LT - Angle,Fx
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR2(i,:))
end

xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
legend(LEGEND2,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H2LT_deg_fx.eps');
close
%% H2LT - Angle,Fy
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR2(i,:))
end

xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
legend(LEGEND2,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H2LT_deg_fy.eps');
close
%% H1LT - Vx-Fx
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),5),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),5),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR2(i,:))
end

xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
legend(LEGEND1,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H1LT_vx_fx.eps');
close
%% H1LT - Vy-Fy
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),11),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),11),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR2(i,:))
end

xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
legend(LEGEND1,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H1LT_vy_fy.eps');
close
%% H2LT - Vx-Fx
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),5),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),5),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),3),COLOR2(i,:))
end

xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
legend(LEGEND2,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H2LT_vx_fx.eps');
close
%% H2LT - Vy-Fy
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),11),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),11),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),9),COLOR2(i,:))
end

xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
legend(LEGEND2,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H2LT_vy_fy.eps');
close

%% H1LT - Angle-Vglob
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),6),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H1LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H1LT_ANGLE(1+13*(i-1):13+13*(i-1),6),COLOR2(i,:))
end

xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Velocity [m/s]')
legend(LEGEND1,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H1LT_deg_vglob.eps');
close

%% H2LT - Angle-Vglob
f = f+1;
figure(f)
hold on
grid on
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),6),COLOR1(i,:),'linewidth',2)
end
legend OFF
for i = 1:3
    plot(H2LT_ANGLE(1+13*(i-1):13+13*(i-1),4),H2LT_ANGLE(1+13*(i-1):13+13*(i-1),6),COLOR2(i,:))
end
set(gca,'XTick',3:6:39)
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Velocity [m/s]')
legend(LEGEND2,'location','best')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\angle_H2LT_deg_vglob.eps');
close
end
%%

addpath('..\..\HydroForceFunc');
load('PARAM')
load('HYDRO_P_EXP')
FX_1 = @(Vx,Cf,N) Fx_l1(Vx,Cf,N)+Fx_l2(Vx,Cf,N);
FX_2 = @(Vx,Cf_l1,Cf_l2,N) Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_3 = @(Vx,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_4 = @(Vx,Vy,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,Cf_y1,Cf_y2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y1(Vy,Cf_y1)+Fx_y2(Vy,Cf_y2);
FX_5 = @(Vx,Vy,Cf_ht2,Cf_l1,Cf_l2,Cf_y2,N) Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y2(Vy,Cf_l2);
FX_6 = @(Vx,Cd_x) Fx_cyl(Vx,Cd_x);

FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);

%[Fx_av Fx_av_noise (Fx_av-Fx_av_noise) Angle Vx Vglob Fy_av Fy_av_noise (Fy_av-Fy_av_noise) Angle Vy Vglob]
%%


TEO_F = cell(2,12);
for i = 1:12
    TEO_F{1,i} = zeros(1,39);
    TEO_F{2,i} = zeros(1,39);
end
%TEO_F = H1X H1Y
%        H2X H2Y

for j = 1:39
        %H1LT-X
        TEO_F{1,1}(1,j) = FX_1(H1LT_ANGLE(j,5),HYDRO_P_EXP{1,1}(1,1),1);
        TEO_F{1,2}(1,j) = FX_2(H1LT_ANGLE(j,5),HYDRO_P_EXP{1,2}(1,1),HYDRO_P_EXP{1,2}(1,2),1);
        TEO_F{1,3}(1,j) = FX_3(H1LT_ANGLE(j,5),HYDRO_P_EXP{1,3}(1,1),HYDRO_P_EXP{1,3}(1,2),HYDRO_P_EXP{1,3}(1,3),HYDRO_P_EXP{1,3}(1,4),1);
        TEO_F{1,4}(1,j) = FX_4(H1LT_ANGLE(j,5),H1LT_ANGLE(j,11),HYDRO_P_EXP{1,4}(1,1),HYDRO_P_EXP{1,4}(1,2),HYDRO_P_EXP{1,4}(1,3),HYDRO_P_EXP{1,4}(1,4),HYDRO_P_EXP{1,4}(1,5),HYDRO_P_EXP{1,4}(1,6),1);
        TEO_F{1,5}(1,j) = FX_5(H1LT_ANGLE(j,5),H1LT_ANGLE(j,11),HYDRO_P_EXP{1,5}(1,1),HYDRO_P_EXP{1,5}(1,2),HYDRO_P_EXP{1,5}(1,3),HYDRO_P_EXP{1,5}(1,4),1);
        TEO_F{1,6}(1,j) = FX_6(H1LT_ANGLE(j,5),HYDRO_P_EXP{1,6}(1,1));
        %H2LT-X
        TEO_F{2,1}(1,j) = FX_1(H2LT_ANGLE(j,5),HYDRO_P_EXP{1,1}(1,1),2);
        TEO_F{2,2}(1,j) = FX_2(H2LT_ANGLE(j,5),HYDRO_P_EXP{1,2}(1,1),HYDRO_P_EXP{1,2}(1,2),2);
        TEO_F{2,3}(1,j) = FX_3(H2LT_ANGLE(j,5),HYDRO_P_EXP{1,3}(1,1),HYDRO_P_EXP{1,3}(1,2),HYDRO_P_EXP{1,3}(1,3),HYDRO_P_EXP{1,3}(1,4),2);
        TEO_F{2,4}(1,j) = FX_4(H2LT_ANGLE(j,5),H2LT_ANGLE(j,11),HYDRO_P_EXP{1,4}(1,1),HYDRO_P_EXP{1,4}(1,2),HYDRO_P_EXP{1,4}(1,3),HYDRO_P_EXP{1,4}(1,4),HYDRO_P_EXP{1,4}(1,5),HYDRO_P_EXP{1,4}(1,6),2);
        TEO_F{2,5}(1,j) = FX_5(H2LT_ANGLE(j,5),H2LT_ANGLE(j,11),HYDRO_P_EXP{1,5}(1,1),HYDRO_P_EXP{1,5}(1,2),HYDRO_P_EXP{1,5}(1,3),HYDRO_P_EXP{1,5}(1,4),2);
        TEO_F{2,6}(1,j) = FX_6(H2LT_ANGLE(j,5),HYDRO_P_EXP{1,6}(1,1));
        %  H1LT-Y
        TEO_F{1,7}(1,j) = FY_1(H1LT_ANGLE(j,11),HYDRO_P_EXP{2,1}(1,1),1);
        TEO_F{1,8}(1,j) = FY_2(H1LT_ANGLE(j,11),HYDRO_P_EXP{2,2}(1,1),HYDRO_P_EXP{2,2}(1,2),1);
        TEO_F{1,9}(1,j) = FY_3(H1LT_ANGLE(j,11),HYDRO_P_EXP{2,3}(1,1),HYDRO_P_EXP{2,3}(1,2),HYDRO_P_EXP{2,3}(1,3),HYDRO_P_EXP{2,3}(1,4),1);
        TEO_F{1,10}(1,j) = FY_4(H1LT_ANGLE(j,11),HYDRO_P_EXP{2,4}(1,1),HYDRO_P_EXP{2,4}(1,2),HYDRO_P_EXP{2,4}(1,3),HYDRO_P_EXP{2,4}(1,4),1);
        TEO_F{1,11}(1,j) = FY_5(H1LT_ANGLE(j,11),HYDRO_P_EXP{2,5}(1,1),HYDRO_P_EXP{2,5}(1,2),HYDRO_P_EXP{2,5}(1,3),1);
        TEO_F{1,12}(1,j) = FY_6(H1LT_ANGLE(j,11),HYDRO_P_EXP{2,6}(1,1),1);
        %  H2LT-Y
        TEO_F{2,7}(1,j) = FY_1(H2LT_ANGLE(j,11),HYDRO_P_EXP{2,1}(1,1),2);
        TEO_F{2,8}(1,j) = FY_2(H2LT_ANGLE(j,11),HYDRO_P_EXP{2,2}(1,1),HYDRO_P_EXP{2,2}(1,2),2);
        TEO_F{2,9}(1,j) = FY_3(H2LT_ANGLE(j,11),HYDRO_P_EXP{2,3}(1,1),HYDRO_P_EXP{2,3}(1,2),HYDRO_P_EXP{2,3}(1,3),HYDRO_P_EXP{2,3}(1,4),2);
        TEO_F{2,10}(1,j) = FY_4(H2LT_ANGLE(j,11),HYDRO_P_EXP{2,4}(1,1),HYDRO_P_EXP{2,4}(1,2),HYDRO_P_EXP{2,4}(1,3),HYDRO_P_EXP{2,4}(1,4),2);
        TEO_F{2,11}(1,j) = FY_5(H2LT_ANGLE(j,11),HYDRO_P_EXP{2,5}(1,1),HYDRO_P_EXP{2,5}(1,2),HYDRO_P_EXP{2,5}(1,3),2);
        TEO_F{2,12}(1,j) = FY_6(H2LT_ANGLE(j,11),HYDRO_P_EXP{2,6}(1,1),2);
end

if p_id == 1
%%
%% H1LT - Vx-Fx - 50g
f = f+1;
start = 1;
stop = 13;
col = 1;
figure(f)
hold on
grid on
plot(H1LT_ANGLE(start:stop,5),H1LT_ANGLE(start:stop,3),COLOR1(col,:),'linewidth',2)
for i = 1:6
    plot(H1LT_ANGLE(start:stop,5),TEO_F{1,i}(1,start:stop))
end
legend('H1LT - 50g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
axis([0.12 0.29 -0.15 -0.02])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h1lt_angle_sysid_vx_fx_50g.eps');
close

%% H1LT - Vx-Fx - 75g
f = f+1;
start = 14;
stop = 26;
col = 2;
figure(f)
hold on
grid on
plot(H1LT_ANGLE(start:stop,5),H1LT_ANGLE(start:stop,3),COLOR1(col,:),'linewidth',2)
for i = 1:6
    plot(H1LT_ANGLE(start:stop,5),TEO_F{1,i}(1,start:stop))
end
legend('H1LT - 75g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
axis([0.16 0.42 -0.27 -0.02])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h1lt_angle_sysid_vx_fx_75g.eps');
close

%% H1LT - Vx-Fx - 100g
f = f+1;
start = 27;
stop = 39;
col = 3;
figure(f)
hold on
grid on
plot(H1LT_ANGLE(start:stop,5),H1LT_ANGLE(start:stop,3),COLOR1(col,:),'linewidth',2)
for i = 1:6
    plot(H1LT_ANGLE(start:stop,5),TEO_F{1,i}(1,start:stop))
end
legend('H1LT - 100g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h1lt_angle_sysid_vx_fx_100g.eps');
close

%% H2LT - Vx-Fx - 75g
f = f+1;
start = 1;
stop = 13;
col = 1;
figure(f)
hold on
grid on
plot(H2LT_ANGLE(start:stop,5),H2LT_ANGLE(start:stop,3),COLOR1(col,:),'linewidth',2)
for i = 1:6
    plot(H2LT_ANGLE(start:stop,5),TEO_F{2,i}(1,start:stop))
end
legend('H2LT - 75g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
axis([0.14 0.375 -0.35 -0.02])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h2lt_angle_sysid_vx_fx_75g.eps');
close

%% H2LT - Vx-Fx - 100g
f = f+1;
start = 14;
stop = 26;
col = 2;
figure(f)
hold on
grid on
plot(H2LT_ANGLE(start:stop,5),H2LT_ANGLE(start:stop,3),COLOR1(col,:),'linewidth',2)
for i = 1:6
    plot(H2LT_ANGLE(start:stop,5),TEO_F{2,i}(1,start:stop))
end
legend('H2LT - 100g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
axis([0.16 0.46 -0.45 -0.04])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h2lt_angle_sysid_vx_fx_100g.eps');
close

%% H2LT - Vx-Fx - 125g
f = f+1;
start = 27;
stop = 39;
col = 3;
figure(f)
hold on
grid on
plot(H2LT_ANGLE(start:stop,5),H2LT_ANGLE(start:stop,3),COLOR1(col,:),'linewidth',2)
for i = 1:6
    plot(H2LT_ANGLE(start:stop,5),TEO_F{2,i}(1,start:stop))
end
legend('H2LT - 125g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
axis([0.19 0.54 -0.63 -0.05])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h2lt_angle_sysid_vx_fx_125g.eps');
close

%% H1LT - Vy-Fy - 50g
f = f+1;
start = 1;
stop = 13;
col = 1;
figure(f)
hold on
grid on
plot(H1LT_ANGLE(start:stop,11),H1LT_ANGLE(start:stop,9),COLOR1(col,:),'linewidth',2)
for i = 7:12
    plot(H1LT_ANGLE(start:stop,11),TEO_F{1,i}(1,start:stop))
end
legend('H1LT - 50g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
axis([-0.105 -0.013 0 0.32])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h1lt_angle_sysid_vy_fy_50g.eps');
close

%% H1LT - Vy-Fy - 75g
f = f+1;
start = 14;
stop = 26;
col = 2;
figure(f)
hold on
grid on
plot(H1LT_ANGLE(start:stop,11),H1LT_ANGLE(start:stop,9),COLOR1(col,:),'linewidth',2)
for i = 7:12
    plot(H1LT_ANGLE(start:stop,11),TEO_F{1,i}(1,start:stop))
end
legend('H1LT - 75g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
axis([-0.15 -0.02 0 0.57])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h1lt_angle_sysid_vy_fy_75g.eps');
close

%% H1LT - Vy-Fy - 100g
f = f+1;
start = 27;
stop = 39;
col = 3;
figure(f)
hold on
grid on
plot(H1LT_ANGLE(start:stop,11),H1LT_ANGLE(start:stop,9),COLOR1(col,:),'linewidth',2)
for i = 7:12
    plot(H1LT_ANGLE(start:stop,11),TEO_F{1,i}(1,start:stop))
end
legend('H1LT - 100g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
%axis([-0.15 -0.02 0 0.57])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h1lt_angle_sysid_vy_fy_100g.eps');
close

%% H2LT - Vy-Fy - 75g
f = f+1;
start = 1;
stop = 13;
col = 1;
figure(f)
hold on
grid on
plot(H2LT_ANGLE(start:stop,11),H2LT_ANGLE(start:stop,9),COLOR1(col,:),'linewidth',2)
for i = 7:12
    plot(H2LT_ANGLE(start:stop,11),TEO_F{2,i}(1,start:stop))
end
legend('H2LT - 75g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
axis([-0.125 -0.015 0 0.7])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h2lt_angle_sysid_vy_fy_75g.eps');
close

%% H2LT - Vy-Fy - 100g
f = f+1;
start = 14;
stop = 26;
col = 2;
figure(f)
hold on
grid on
plot(H2LT_ANGLE(start:stop,11),H2LT_ANGLE(start:stop,9),COLOR1(col,:),'linewidth',2)
for i = 7:12
    plot(H2LT_ANGLE(start:stop,11),TEO_F{2,i}(1,start:stop))
end
legend('H2LT - 100g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
axis([-0.145 -0.02 0 0.9])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h2lt_angle_sysid_vy_fy_100g.eps');
close

%% H2LT - Vy-Fy - 125g
f = f+1;
start = 27;
stop = 39;
col = 3;
figure(f)
hold on
grid on
plot(H2LT_ANGLE(start:stop,11),H2LT_ANGLE(start:stop,9),COLOR1(col,:),'linewidth',2)
for i = 7:12
    plot(H2LT_ANGLE(start:stop,11),TEO_F{2,i}(1,start:stop))
end
legend('H2LT - 125g','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity Y [m/s]')
ylabel('Force Y [N]')
axis([-0.165 -0.028 0 1.2])
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\v1_angle\sysid\h2lt_angle_sysid_vy_fy_125g.eps');
close
end
%%
Fx = [H1LT_ANGLE(:,3) ; H2LT_ANGLE(:,3)];
Fy = [H1LT_ANGLE(:,9) ; H2LT_ANGLE(:,9)];
Teox_1 = [TEO_F{1,1}(1,:)' ; TEO_F{2,1}(1,:)'];
Teox_2 = [TEO_F{1,2}(1,:)' ; TEO_F{2,2}(1,:)'];
Teox_3 = [TEO_F{1,3}(1,:)' ; TEO_F{2,3}(1,:)'];
Teox_4 = [TEO_F{1,4}(1,:)' ; TEO_F{2,4}(1,:)'];
Teox_5 = [TEO_F{1,5}(1,:)' ; TEO_F{2,5}(1,:)'];
Teox_6 = [TEO_F{1,6}(1,:)' ; TEO_F{2,6}(1,:)'];
%
Teoy_1 = [TEO_F{1,7}(1,:)' ; TEO_F{2,7}(1,:)'];
Teoy_2 = [TEO_F{1,8}(1,:)' ; TEO_F{2,8}(1,:)'];
Teoy_3 = [TEO_F{1,9}(1,:)' ; TEO_F{2,9}(1,:)'];
Teoy_4 = [TEO_F{1,10}(1,:)' ; TEO_F{2,10}(1,:)'];
Teoy_5 = [TEO_F{1,11}(1,:)' ; TEO_F{2,11}(1,:)'];
Teoy_6 = [TEO_F{1,12}(1,:)' ; TEO_F{2,12}(1,:)'];
%%
TYPE = 'Pearson';
C_P = [ corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy,Teoy_1(:,1),'type',TYPE) corr(Fy,Teoy_2(:,1),'type',TYPE) corr(Fy,Teoy_3(:,1),'type',TYPE) corr(Fy,Teoy_4(:,1),'type',TYPE) corr(Fy,Teoy_5(:,1),'type',TYPE) corr(Fy,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Spearman';
C_S = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy,Teoy_1(:,1),'type',TYPE) corr(Fy,Teoy_2(:,1),'type',TYPE) corr(Fy,Teoy_3(:,1),'type',TYPE) corr(Fy,Teoy_4(:,1),'type',TYPE) corr(Fy,Teoy_5(:,1),'type',TYPE) corr(Fy,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Kendall';
C_K = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy,Teoy_1(:,1),'type',TYPE) corr(Fy,Teoy_2(:,1),'type',TYPE) corr(Fy,Teoy_3(:,1),'type',TYPE) corr(Fy,Teoy_4(:,1),'type',TYPE) corr(Fy,Teoy_5(:,1),'type',TYPE) corr(Fy,Teoy_6(:,1),'type',TYPE)];
%%
%%
f = f+1;
figure(f)
hold on
grid on
plot(1,C_P(1,1),'rx','linewidth',1.5)
plot(1,C_P(2,1),'ro','linewidth',1.5)
plot(1,C_S(1,1),'gx','linewidth',1.5)
plot(1,C_S(2,1),'go','linewidth',1.5)
plot(1,C_K(1,1),'bx','linewidth',1.5)
plot(1,C_K(2,1),'bo','linewidth',1.5)
legend off
plot(1:6,C_P(1,:),'rx','linewidth',1.5)
plot(1:6,C_P(2,:),'ro','linewidth',1.5)
plot(1:6,C_S(1,:),'gx','linewidth',1.5)
plot(1:6,C_S(2,:),'go','linewidth',1.5)
plot(1:6,C_K(1,:),'bx','linewidth',1.5)
plot(1:6,C_K(2,:),'bo','linewidth',1.5)

legend('Pearson X','Pearson Y','Spearman X','Spearman Y','Kendall X','Kendall Y','location','best')

set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{f}_1$';'$\hat{f}_2$';'$\hat{f}_3$';'$\hat{f}_4$';'$\hat{f}_5$';'$\hat{f}_6$'})
tightfig(f);
%%
TEO_F2 = cell(6,2)
TEO_F2{1,1} = Teox_1;
TEO_F2{2,1} = Teox_2;
TEO_F2{3,1} = Teox_3;
TEO_F2{4,1} = Teox_4;
TEO_F2{5,1} = Teox_5;
TEO_F2{6,1} = Teox_6;
TEO_F2{1,2} = Teoy_1;
TEO_F2{2,2} = Teoy_2;
TEO_F2{3,2} = Teoy_3;
TEO_F2{4,2} = Teoy_4;
TEO_F2{5,2} = Teoy_5;
TEO_F2{6,2} = Teoy_6;
ERROR_S =[0 0 0 0 0 0; 0 0 0 0 0 0];
%%
for j = 1:6
    for i = 1:78
        ERROR_S(1,j) = ERROR_S(1,j)+((TEO_F2{j,1}(i,1)-Fx(i,1))/Fx(i,1))^2;
        ERROR_S(2,j) = ERROR_S(2,j)+((TEO_F2{j,2}(i,1)-Fy(i,1))/Fy(i,1))^2;
    end
end

ERROR_S = ERROR_S./(78);
%plot(1:6,ERROR_S)

%%
f = f+1;
figure(f)
hold on
grid on
plot(1:6,ERROR_S(1,:),'rx')
plot(1:6,ERROR_S(2,:),'ro')
ylabel('$\frac{1}{N} \sum ( \frac{\hat{\mathbf{f}}-F}{F})^2$')
%title('$\frac{1}{N} \sum (\fraq{\hat{\mathbf{f}}-F}{F})^2$')
set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{\mathbf{f}}_1$';'$\hat{\mathbf{f}}_2$';'$\hat{\mathbf{f}}_3$';'$\hat{\mathbf{f}}_4$';'$\hat{\mathbf{f}}_5$';'$\hat{\mathbf{f}}_6$'})
axis([1 6 0 2.3])
tightfig(f);
%%
