%input [Angle V_body_x V_body_y V_body_z F_body_x F_body_y F_body_z T_body_x T_body_y T_body_z];

%% System identification of input
close all;
clear all;


%% Add the force functions
addpath('..\..\HydroForceFunc');
load('PARAM')
%% Parameters
f = 0;
no_exp_0deg = 2; %Number of simulation finished
no_exp_angle = 2;
array_size = 174;
N_X_1 = 1;
N_X_2 = 2;
N_X_3 = 4;
N_X_4 = 6;
N_X_5 = 4;
N_X_6 = 1;
N_Y_1 = 1;
N_Y_2 = 2;
N_Y_3 = 4;
N_Y_4 = 4;
N_Y_5 = 3;
N_Y_6 = 1;
%% Load dat
DATA = cell(no_exp_0deg+no_exp_angle,1);
for i = 1:no_exp_0deg
    DATAtemp = load(['H' num2str(i) 'LT_0deg.mat']);
    DATA(i) = struct2cell(DATAtemp);
end
for i = (no_exp_0deg+1):no_exp_angle+no_exp_0deg
    DATAtemp = load(['H' num2str(i-2) 'LT_ANGLE.mat']);
    DATA(i) = struct2cell(DATAtemp);
end

LENGTHX = zeros(no_exp_angle+no_exp_0deg+1,1);
LENGTHY = zeros(no_exp_0deg+1,1);
for i = 1:no_exp_angle+no_exp_0deg
    LENGTHX(i+1) = length(DATA{i,1}(:,1));
end
for i = 1:no_exp_angle
    LENGTHY(i+1) = LENGTHX(i+no_exp_0deg+1);
end
%% Create data sets %[SnittF Noise Corrected Angle Velocity]
Vx = zeros(sum(LENGTHX),1);
Vy_temp = zeros(sum(LENGTHX(no_exp_0deg+1:(no_exp_0deg+no_exp_angle))),1);
Fx = zeros(sum(LENGTHX),1);
Fy_temp = zeros(sum(LENGTHX(no_exp_0deg+1:(no_exp_0deg+no_exp_angle))),1);
%%
for i = 1:no_exp_0deg
    Vx(1+sum(LENGTHX(1:i)):sum(LENGTHX(1:i+1)),1) = DATA{i,1}(:,2);
    Fx(1+sum(LENGTHX(1:i)):sum(LENGTHX(1:i+1)),1) = DATA{i,1}(:,1);
end
%%
for i= no_exp_0deg+1:no_exp_0deg+no_exp_angle
    Vy_temp(1+sum(LENGTHY(1:i-no_exp_0deg)):sum(LENGTHY(1:i+1-no_exp_0deg)),1) = DATA{i,1}(:,11);
    Fy_temp(1+sum(LENGTHY(1:i-no_exp_0deg)):sum(LENGTHY(1:i+1-no_exp_0deg)),1) = DATA{i,1}(:,9);
    Vx(1+sum(LENGTHX(1:i)):sum(LENGTHX(1:i+1)),1) = DATA{i,1}(:,5);
    Fx(1+sum(LENGTHX(1:i)):sum(LENGTHX(1:i+1)),1) = DATA{i,1}(:,3);
end

Vyy = zeros(sum(LENGTHX),1);
Fyy = zeros(sum(LENGTHX),1);
Vyy(sum(LENGTHX(1:no_exp_0deg+1))+1:end,1) = Vy_temp;
Fyy(sum(LENGTHX(1:no_exp_0deg+1))+1:end,1) = Fy_temp;
Vy = Vyy;
Fy = Fyy;


%%
FX_1 = @(Vx,Cf,N) Fx_l1(Vx,Cf,N)+Fx_l2(Vx,Cf,N);
FX_2 = @(Vx,Cf_l1,Cf_l2,N) Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_3 = @(Vx,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_4 = @(Vx,Vy,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,Cf_y1,Cf_y2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y1(Vy,Cf_y1)+Fx_y2(Vy,Cf_y2);
FX_5 = @(Vx,Vy,Cf_ht2,Cf_l1,Cf_l2,Cf_y2,N) Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y2(Vy,Cf_l2);
FX_6 = @(Vx,Cd_x) Fx_cyl(Vx,Cd_x);
%%
X_1 = zeros(sum(LENGTHX),N_X_1);
X_2 = zeros(sum(LENGTHX),N_X_2);
X_3 = zeros(sum(LENGTHX),N_X_3);
X_4 = zeros(sum(LENGTHX),N_X_4);
X_5 = zeros(sum(LENGTHX),N_X_5);
X_6 = zeros(sum(LENGTHX),N_X_6);


%% 1 middle link
for k = 1:no_exp_0deg+no_exp_angle
    if mod(k,2) == 0
        for i = (1+sum(LENGTHX(1:k))):sum(LENGTHX(1:k+1))
                %F1
                X_1(i,1) = FX_1(Vx(i),1,2);
                %F2
                X_2(i,1) = Fx_l1(Vx(i),1,2);
                X_2(i,2) = Fx_l2(Vx(i),1,2);
                %F3
                X_3(i,1) = Fx_ht1(Vx(i),1);
                X_3(i,2) = Fx_ht2(Vx(i),1);
                X_3(i,3) = X_2(i,1);
                X_3(i,4) = X_2(i,2);
                %F4
                X_4(i,1) = X_3(i,1);
                X_4(i,2) = X_3(i,2);
                X_4(i,3) = X_2(i,1);
                X_4(i,4) = X_2(i,2);
                X_4(i,5) = Fx_y1(Vy(i),1);
                X_4(i,6) = Fx_y2(Vy(i),1);
                %F5
                X_5(i,1) = X_3(i,2);
                X_5(i,2) = X_2(i,1);
                X_5(i,3) = X_2(i,2);
                X_5(i,4) = X_4(i,6);
                %F6
                X_6(i,1) = Fx_cyl(Vx(i),1); 
        end
    else
        for i = (1+sum(LENGTHX(1:k))):sum(LENGTHX(1:k+1))
                %F1
                X_1(i,1) = FX_1(Vx(i),1,1);
                %F2
                X_2(i,1) = Fx_l1(Vx(i),1,1);
                X_2(i,2) = Fx_l2(Vx(i),1,1);
                %F3
                X_3(i,1) = Fx_ht1(Vx(i),1);
                X_3(i,2) = Fx_ht2(Vx(i),1);
                X_3(i,3) = X_2(i,1);
                X_3(i,4) = X_2(i,2);
                %F4
                X_4(i,1) = X_3(i,1);
                X_4(i,2) = X_3(i,2);
                X_4(i,3) = X_2(i,1);
                X_4(i,4) = X_2(i,2);
                X_4(i,5) = Fx_y1(Vy(i),1);
                X_4(i,6) = Fx_y2(Vy(i),1);
                %F5
                X_5(i,1) = X_3(i,2);
                X_5(i,2) = X_2(i,1);
                X_5(i,3) = X_2(i,2);
                X_5(i,4) = X_4(i,6);
                %F6
                X_6(i,1) = Fx_cyl(Vx(i),1); 
        end
    end
end
%%
%Cf = inv(X_same'*X_same)*X_same'*Fx;
Cf_1(1,:) = lsqnonneg(X_1,Fx)';
Cf_1(2,:) = lsqlin(X_1,Fx,[],[])';
Cf_2(1,:) = lsqnonneg(X_2,Fx)';
Cf_2(2,:) = lsqlin(X_2,Fx,[],[])';
Cf_3(1,:) = lsqnonneg(X_3,Fx)';
Cf_3(2,:) = lsqlin(X_3,Fx,[],[])';
Cf_4(1,:) = lsqnonneg(X_4,Fx)';
Cf_4(2,:) = lsqlin(X_4,Fx,[],[])';
Cf_5(1,:) = lsqnonneg(X_5,Fx)';
Cf_5(2,:) = lsqlin(X_5,Fx,[],[])';
Cf_6(1,:) = lsqnonneg(X_6,Fx)';
Cf_6(2,:) = lsqlin(X_6,Fx,[],[])';

%%
%%
Y_1 = zeros(sum(LENGTHY),N_Y_1);
Y_2 = zeros(sum(LENGTHY),N_Y_2);
Y_3 = zeros(sum(LENGTHY),N_Y_3);
Y_4 = zeros(sum(LENGTHY),N_Y_4);
Y_5 = zeros(sum(LENGTHY),N_Y_5);
Y_6 = zeros(sum(LENGTHY),N_Y_6);
%%
FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);
%%
for k = no_exp_0deg+1:no_exp_0deg+no_exp_angle
    if mod(k,2) == 0
        for i = (1+sum(LENGTHY(1:k-no_exp_0deg))):sum(LENGTHY(1:k+1-no_exp_0deg))
            %F1
            Y_1(i,1) = FY_1(Vy_temp(i),1,2);
            %F2
            Y_2(i,1) = Fy_l1(Vy_temp(i),1,2);
            Y_2(i,2) = Fy_l2(Vy_temp(i),1,2);
            %F3
            Y_3(i,1) = Fy_ht1(Vy_temp(i),1);
            Y_3(i,2) = Fy_ht2(Vy_temp(i),1);
            Y_3(i,3) = Y_2(i,1);
            Y_3(i,4) = Y_2(i,2);
            %F4
            Y_4(i,1) = Y_3(i,1);
            Y_4(i,2) = Y_3(i,2);
            Y_4(i,3) = Y_3(i,3);
            Y_4(i,4) = Y_3(i,4);
            %F5
            Y_5(i,1) = Y_3(i,2);
            Y_5(i,2) = Y_2(i,1);
            Y_5(i,3) = Y_2(i,2);
            %F6
            Y_6(i,1) = Fy_cyl(Vy_temp(i),1,2);
        end
    else
        for i = (1+sum(LENGTHY(1:k-no_exp_0deg))):sum(LENGTHY(1:k+1-no_exp_0deg))
            %F1
            Y_1(i,1) = FY_1(Vy_temp(i),1,1);
            %F2
            Y_2(i,1) = Fy_l1(Vy_temp(i),1,1);
            Y_2(i,2) = Fy_l2(Vy_temp(i),1,1);
            %F3
            Y_3(i,1) = Fy_ht1(Vy_temp(i),1);
            Y_3(i,2) = Fy_ht2(Vy_temp(i),1);
            Y_3(i,3) = Y_2(i,1);
            Y_3(i,4) = Y_2(i,2);
            %F4
            Y_4(i,1) = Y_3(i,1);
            Y_4(i,2) = Y_3(i,2);
            Y_4(i,3) = Y_3(i,3);
            Y_4(i,4) = Y_3(i,4);
            %F5
            Y_5(i,1) = Y_3(i,2);
            Y_5(i,2) = Y_2(i,1);
            Y_5(i,3) = Y_2(i,2);
            %F6
            Y_6(i,1) = Fy_cyl(Vy_temp(i),1,1);
        end
    end
end
%%
Cd_1(1,:) = lsqnonneg(Y_1,Fy_temp)';
Cd_1(2,:) = lsqlin(Y_1,Fy_temp,[],[])';
Cd_2(1,:) = lsqnonneg(Y_2,Fy_temp)';
Cd_2(2,:) = lsqlin(Y_2,Fy_temp,[],[])';
Cd_3(1,:) = lsqnonneg(Y_3,Fy_temp)';
Cd_3(2,:) = lsqlin(Y_3,Fy_temp,[],[])';
Cd_4(1,:) = lsqnonneg(Y_4,Fy_temp)';
Cd_4(2,:) = lsqlin(Y_4,Fy_temp,[],[])';
Cd_5(1,:) = lsqnonneg(Y_5,Fy_temp)';
Cd_5(2,:) = lsqlin(Y_5,Fy_temp,[],[])';
Cd_6(1,:) = lsqnonneg(Y_6,Fy_temp)';
Cd_6(2,:) = lsqlin(Y_6,Fy_temp,[],[])';

%%
Teox_1 = zeros(sum(LENGTHX),1);
Teox_2 = zeros(sum(LENGTHX),2);
Teox_3 = zeros(sum(LENGTHX),2);
Teox_4 = zeros(sum(LENGTHX),2);
Teox_5 = zeros(sum(LENGTHX),2);
Teox_6 = zeros(sum(LENGTHX),1);
%%
for i = 1:sum(LENGTHX)
    if (i > sum(LENGTHX(1:2)) && i <= sum(LENGTHX(1:3))) || (i > sum(LENGTHX(1:4)))
        j = 2;
    else
        j = 1;
    end
    Teox_1(i) = FX_1(Vx(i),Cf_1(1),j);
    Teox_2(i,1) = FX_2(Vx(i),Cf_2(1,1),Cf_2(1,2),j);
    Teox_2(i,2) = FX_2(Vx(i),Cf_2(2,1),Cf_2(2,2),j);
    Teox_3(i,1) = FX_3(Vx(i),Cf_3(1,1),Cf_3(1,2),Cf_3(1,3),Cf_3(1,4),j);
    Teox_3(i,2) = FX_3(Vx(i),Cf_3(2,1),Cf_3(2,2),Cf_3(2,3),Cf_3(2,4),j);
    Teox_4(i,1) = FX_4(Vx(i),Vy(i),Cf_4(1,1),Cf_4(1,2),Cf_4(1,3),Cf_4(1,4),Cf_4(1,5),Cf_4(1,6),j);
    Teox_4(i,2) = FX_4(Vx(i),Vy(i),Cf_4(2,1),Cf_4(2,2),Cf_4(2,3),Cf_4(2,4),Cf_4(2,5),Cf_4(2,6),j);
    Teox_5(i,1) = FX_5(Vx(i),Vy(i),Cf_5(1,1),Cf_5(1,2),Cf_5(1,3),Cf_5(1,4),j);
    Teox_5(i,2) = FX_5(Vx(i),Vy(i),Cf_5(2,1),Cf_5(2,2),Cf_5(2,3),Cf_5(2,4),j);
    Teox_6(i,1) = FX_6(Vx(i),Cf_6(1,1));
    Teox_6(i,2) = FX_6(Vx(i),Cf_6(2,1));

end


%%
Teoy_1 = zeros(sum(LENGTHY),1);
Teoy_2 = zeros(sum(LENGTHY),2);
Teoy_3 = zeros(sum(LENGTHY),2);
Teoy_4 = zeros(sum(LENGTHY),2);
Teoy_5 = zeros(sum(LENGTHY),2);
Teoy_6 = zeros(sum(LENGTHY),1);
%%
for i = 1:sum(LENGTHY)
        if i > sum(LENGTHY(1:2))
          j = 2;
        else
          j = 1;
        end
        Teoy_1(i) = FY_1(Vy_temp(i),Cd_1(1,1),j);
        Teoy_2(i,1) = FY_2(Vy_temp(i),Cd_2(1,1),Cd_2(1,2),j);
        Teoy_2(i,2) = FY_2(Vy_temp(i),Cd_2(2,1),Cd_2(2,2),j);
        Teoy_3(i,1) = FY_3(Vy_temp(i),Cd_3(1,1),Cd_3(1,2),Cd_3(1,3),Cd_3(1,4),j);
        Teoy_3(i,2) = FY_3(Vy_temp(i),Cd_3(2,1),Cd_3(2,2),Cd_3(2,3),Cd_3(2,4),j);
        Teoy_4(i,1) = FY_4(Vy_temp(i),Cd_4(1,1),Cd_4(1,2),Cd_4(1,3),Cd_4(1,4),j);
        Teoy_4(i,2) = FY_4(Vy_temp(i),Cd_4(2,1),Cd_4(2,2),Cd_4(2,3),Cd_4(2,4),j);
        Teoy_5(i,1) = FY_5(Vy_temp(i),Cd_5(1,1),Cd_5(1,2),Cd_5(1,3),j);
        Teoy_5(i,2) = FY_5(Vy_temp(i),Cd_5(2,1),Cd_5(2,2),Cd_5(2,3),j);
        Teoy_6(i,1) = FY_6(Vy_temp(i),Cd_6(1,1),j);
        Teoy_6(i,2) = FY_6(Vy_temp(i),Cd_6(2,1),j);
end

%%

set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');

%% F1x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_1)
title('X - $\hat{\mathbf{f}}_1$')
grid on
ylabel('Data point')
legend('Simulation','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F2x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_2)
title('X - $\hat{\mathbf{f}}_2$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F3x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_3)
title('X - $\hat{\mathbf{f}}_3$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F4x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_4)
title('X - $\hat{\mathbf{f}}_4$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F5x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_5)
title('X - $\hat{\mathbf{f}}_5$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F6x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_6)
title('X - $\hat{\mathbf{f}}_6$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F1y
f = f+1;
figure(f);
hold on
plot(Fy_temp)
plot(Teoy_1)
title('Y - $\hat{\mathbf{f}}_1$')
grid on
ylabel('Data point')
legend('Simulation','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F2y
f = f+1;
figure(f);
hold on
plot(Fy_temp)
plot(Teoy_2)
title('Y - $\hat{\mathbf{f}}_2$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F3y
f = f+1;
figure(f);
hold on
plot(Fy_temp)
plot(Teoy_3)
title('Y - $\hat{\mathbf{f}}_3$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F4y
f = f+1;
figure(f);
hold on
plot(Fy_temp)
plot(Teoy_4)
title('Y - $\hat{\mathbf{f}}_4$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F5y
f = f+1;
figure(f);
hold on
plot(Fy_temp)
plot(Teoy_5)
title('Y - $\hat{\mathbf{f}}_5$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F6y
f = f+1;
figure(f);
hold on
plot(Fy_temp)
plot(Teoy_6)
title('Y - $\hat{\mathbf{f}}_6$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%%
HYDRO_P_EXP = cell(2,6);
HYDRO_P_EXP{1,1} = Cf_1;
HYDRO_P_EXP{2,1} = Cd_1;
HYDRO_P_EXP{1,2} = Cf_2;
HYDRO_P_EXP{2,2} = Cd_2;
HYDRO_P_EXP{1,3} = Cf_3;
HYDRO_P_EXP{2,3} = Cd_3;
HYDRO_P_EXP{1,4} = Cf_4;
HYDRO_P_EXP{2,4} = Cd_4;
HYDRO_P_EXP{1,5} = Cf_5;
HYDRO_P_EXP{2,5} = Cd_5;
HYDRO_P_EXP{1,6} = Cf_6;
HYDRO_P_EXP{2,6} = Cd_6;
save('HYDRO_P_EXP','HYDRO_P_EXP')

%%

%%
TYPE = 'Pearson';
C_P = [ corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy_temp,Teoy_1(:,1),'type',TYPE) corr(Fy_temp,Teoy_2(:,1),'type',TYPE) corr(Fy_temp,Teoy_3(:,1),'type',TYPE) corr(Fy_temp,Teoy_4(:,1),'type',TYPE) corr(Fy_temp,Teoy_5(:,1),'type',TYPE) corr(Fy_temp,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Spearman';
C_S = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy_temp,Teoy_1(:,1),'type',TYPE) corr(Fy_temp,Teoy_2(:,1),'type',TYPE) corr(Fy_temp,Teoy_3(:,1),'type',TYPE) corr(Fy_temp,Teoy_4(:,1),'type',TYPE) corr(Fy_temp,Teoy_5(:,1),'type',TYPE) corr(Fy_temp,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Kendall';
C_K = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy_temp,Teoy_1(:,1),'type',TYPE) corr(Fy_temp,Teoy_2(:,1),'type',TYPE) corr(Fy_temp,Teoy_3(:,1),'type',TYPE) corr(Fy_temp,Teoy_4(:,1),'type',TYPE) corr(Fy_temp,Teoy_5(:,1),'type',TYPE) corr(Fy_temp,Teoy_6(:,1),'type',TYPE)];
    
%%
f = f+1;
figure(f)
hold on
grid on
plot(1,C_P(1,1),'rx','linewidth',1.5)
plot(1,C_P(2,1),'ro','linewidth',1.5)
plot(1,C_S(1,1),'gx','linewidth',1.5)
plot(1,C_S(2,1),'go','linewidth',1.5)
plot(1,C_K(1,1),'bx','linewidth',1.5)
plot(1,C_K(2,1),'bo','linewidth',1.5)
legend off
plot(1:6,C_P(1,:),'rx','linewidth',1.5)
plot(1:6,C_P(2,:),'ro','linewidth',1.5)
plot(1:6,C_S(1,:),'gx','linewidth',1.5)
plot(1:6,C_S(2,:),'go','linewidth',1.5)
plot(1:6,C_K(1,:),'bx','linewidth',1.5)
plot(1:6,C_K(2,:),'bo','linewidth',1.5)

legend('Pearson X','Pearson Y','Spearman X','Spearman Y','Kendall X','Kendall Y','location','best')

set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{f}_1$';'$\hat{f}_2$';'$\hat{f}_3$';'$\hat{f}_4$';'$\hat{f}_5$';'$\hat{f}_6$'})
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\sysid\exp_stat_1.eps')

%%
TEO_F = cell(6,2)
TEO_F{1,1} = Teox_1;
TEO_F{2,1} = Teox_2;
TEO_F{3,1} = Teox_3;
TEO_F{4,1} = Teox_4;
TEO_F{5,1} = Teox_5;
TEO_F{6,1} = Teox_6;
TEO_F{1,2} = Teoy_1;
TEO_F{2,2} = Teoy_2;
TEO_F{3,2} = Teoy_3;
TEO_F{4,2} = Teoy_4;
TEO_F{5,2} = Teoy_5;
TEO_F{6,2} = Teoy_6;
ERROR_S =[0 0 0 0 0 0; 0 0 0 0 0 0];
%%
ERROR_SX = zeros(1,6);
ERROR_SY = zeros(1,6);
for j = 1:6
    for i = 1:91
        ERROR_SX(j) = ERROR_SX(j)+abs(((TEO_F{j,1}(i,1)-Fx(i,1))/Fx(i,1)));
    end
end

for j = 1:6
    for i = 1:78
        ERROR_SY(j) = ERROR_SY(j)+abs(((TEO_F{j,2}(i,1)-Fy_temp(i,1))/Fy_temp(i,1)));
    end
end

ERROR_SX = ERROR_SX./91;
ERROR_SY = ERROR_SX./78;
%plot(1:6,ERROR_S)

%%
f = f+1;
figure(f)
hold on
grid on
plot(1,ERROR_SX(1),'rx')
plot(1,ERROR_SY(1),'ro')
legend off
legend('Fx','Fy')
plot(1:6,ERROR_SX,'rx')
plot(1:6,ERROR_SY,'ro')
ylabel('$\frac{1}{N} \sum ( |\frac{\hat{\mathbf{f}}-F}{F}|)$')
%title('$\frac{1}{N} \sum (\fraq{\hat{\mathbf{f}}-F}{F})^2$')
set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{\mathbf{f}}_1$';'$\hat{\mathbf{f}}_2$';'$\hat{\mathbf{f}}_3$';'$\hat{\mathbf{f}}_4$';'$\hat{\mathbf{f}}_5$';'$\hat{\mathbf{f}}_6$'})
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\experiments\sysid\exp_stat_2.eps')
