%%
clear all;
close all;

DATA_nodim = cell(1,12);
%% noDim er uten dimensjon
DATA_nodim{1,1} = struct2array(load('Added_mass_h1lt_noDim.mat'));
DATA_nodim{1,2} = struct2array(load('Added_mass_h2lt_noDim.mat'));
DATA_nodim{1,3} = struct2array(load('Added_mass_h3lt_noDim.mat'));
DATA_nodim{1,4} = struct2array(load('Added_mass_h4lt_noDim.mat'));
DATA_nodim{1,5} = struct2array(load('Added_mass_h5lt_noDim.mat'));
DATA_nodim{1,6} = struct2array(load('Added_mass_h6lt_noDim.mat'));
DATA_nodim{1,7} = struct2array(load('Added_mass_h7lt_noDim.mat'));
DATA_nodim{1,8} = struct2array(load('Added_mass_h8lt_noDim.mat'));
DATA_nodim{1,9} = struct2array(load('Added_mass_h9lt_noDim.mat'));
DATA_nodim{1,10} = struct2array(load('Added_mass_link_noDim.mat'));
DATA_nodim{1,11} = struct2array(load('Added_mass_tail_noDim.mat'));
DATA_nodim{1,12} = struct2array(load('Added_mass_head_noDim.mat'));
DATA_nodim{1,13} = struct2array(load('Added_mass_ht_noDim.mat'))
%% Volume from added mass result file
VOL = zeros(1,13);
VOL(10) = 0.001268;% VO_L =
VOL(11) = 0.3763*10^-3;% VO_H =
VOL(12) = 0.2503*10^-3;% VO_T =
VOL(13) = 0.6288*10^-3; % HENRIK = VO_HT
VOL(1) = 0.1893*10^-2; %= VO_H1LT 
VOL(2) = 2.670*10^-03;% VO_H2LT =
VOL(3) = 3.83*10^-3; % VO_H3LT =
VOL(4) = 4.9290*10^-03;%VO_H4LT =
VOL(5) = 6.0290*10^-03; %= VO_H5LT 
VOL(6) = 7.1300*10^-03;% VO_H6LT =
VOL(7) = 8.2300*10^-03;% VO_H7LT =
VOL(8) = 9.3300*10^-03;% VO_H8LT =
VOL(9) = 1.0430*10^-02;% VO_H9LT =


%%
rho = 1025;
a= 0.045;
b = 0.05;
l = 0.09;
m_y = rho*pi*a*b*2*l;
Henrik = 9;

inp_e = zeros(1,9);
for i = 1:9
    inp_e(i) = m_y*i;
end

%% Med Dimensjon
DATA_withdim = cell(1,13);
for i = 1:13
    DATA_withdim{1,i} = DATA_nodim{1,i}*VOL(i)*rho;
end

%% out
out_e = zeros(1,9);
for i = 1:9
    out_e(i) = DATA_withdim{1,i}(2,2);
end
%%
CA_e_ls = lsqnonneg(inp_e',out_e');
CA_e = out_e./inp_e;
%% LS;
out_s = zeros(2,9);
inp_s = zeros(2,9);
out_s_noHT = zeros(2,9);
inp_s_noHT = zeros(2,9);
for i = 1:9
    out_s(1,i) = DATA_withdim{1,i}(1,1);
    out_s(2,i) = DATA_withdim{1,i}(2,2);
    out_s_noHT(1,i) = DATA_withdim{1,i}(1,1)-DATA_withdim{1,13}(1,1);
    out_s_noHT(2,i) = DATA_withdim{1,i}(2,2)-DATA_withdim{1,13}(2,2);
    inp_s(1,i) = VOL(i)*rho;
    inp_s(2,i) = VOL(i)*rho;
    inp_s_noHT(1,i) = VOL(10)*i*rho;
    inp_s_noHT(2,i) = VOL(10)*i*rho;
end
CA_fromsim = zeros(2,9)
for i = 1:9
    CA_fromsim(1,i) = DATA_nodim{1,i}(1,1);
    CA_fromsim(2,i) = DATA_nodim{1,i}(2,2);
end
%%
CA_s_ls(1) = lsqnonneg(inp_s(1,:)',out_s(1,:)');
CA_s_ls(2) = lsqnonneg(inp_s(2,:)',out_s(2,:)');
CA_s(1,:) = out_s(1,:)./inp_s(1,:);
CA_s(2,:) = out_s(2,:)./inp_s(2,:);

%%
CA_s_ls_noHT(1) = lsqnonneg(inp_s_noHT(1,:)',out_s_noHT(1,:)');
CA_s_ls_noHT(2) = lsqnonneg(inp_s_noHT(2,:)',out_s_noHT(2,:)');
CA_s_noHT(1,:) = out_s_noHT(1,:)./inp_s_noHT(1,:);
CA_s_noHT(2,:) = out_s_noHT(2,:)./inp_s_noHT(2,:);

%% plot settings
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;
Xt = [1:Henrik];
for i = 1:Henrik
    X = ['H' num2str(i) 'LT'];
    XL(i,:)= X;
end

%% plot with dimension
f = f+1;
figure(f)
hold on
grid on
plot(out_s(1,:),'linewidth',2)
plot(out_s(2,:),'linewidth',2)
set(gca,'Xtick',Xt,'Xticklabel',XL)
axis([0 10 0 16])
legend('$\mu_{x,i}$','$\mu_{y,i}$','location','best')
xlabel('Configuration $i$')
ylabel('Kg')
print(figure(f),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\Added_mass.eps');
%% plot coeff from sim(no HT)
f = f+1;
figure(f);
hold on
grid on
plot(CA_e,'r','linewidth',2)
plot(ones(1,9)*CA_e_ls,'r--')
plot(CA_s_noHT(2,:),'b','linewidth',2)
plot(ones(1,9)*CA_s_ls_noHT(2),'b--')
%plot(CA_s_noHT(1,:),'g','linewidth',2)
%plot(ones(1,9)*CA_s_ls_noHT(1),'g--')
set(gca,'Xtick',Xt,'Xticklabel',XL)
axis([0 10 0 2])

%% plot coeff from sim
f = f+1;
figure(f);
hold on
grid on
plot(CA_e,'r','linewidth',2)
%plot(ones(1,9)*CA_e_ls,'r--')
plot(CA_s(2,:),'b','linewidth',2)
%plot(ones(1,9)*CA_s_ls(2),'b--')
plot(CA_s(1,:),'g','linewidth',2)
%plot(ones(1,9)*CA_s_ls(1),'g--')
set(gca,'Xtick',Xt,'Xticklabel',XL)
axis([0 10 0 2])
xlabel('Configuration $i$')
legend('$\hat{C}_{A_i}$','$\hat{C}_{A_{y,i}}$','$\hat{C}_{A_{x,i}}$','location','best')
print(figure(f),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\Added_mass_coef.eps');
%% mean
%mean1=[mean(C_A_L_extracted_noDim(1,:)); mean(C_A_L_extracted_noDim(2,:))]
%mean2=[mean(C_A_L_extracted_noDim(1,3:9)); mean(C_A_L_extracted_noDim(2,3:9))]
%x = 1:1:9; %henrik

%%
fig = 1;
figure(fig);
plot(C_A_L_extracted_noDim(1,:),'linewidth',1.5)
hold on
plot(ones(1,length(x))*mean1(1),'--b'); %henrik
plot(C_A_L_extracted_noDim(2,:),'linewidth',1.5)
plot(ones(1,length(x))*mean1(2),'--r'); %henrik
%plot(CA_DIRECT(2,:))
%title('Added mass coeficcient for one link(Dimensionless)')
grid on
set(gca,'Xtick',Xt,'Xticklabel',XL)
axis([0 Henrik+1 -0.3 2])
legend('$C_{A_L,x}^{D}$','$C_{A_L,x}^{D}$ mean','$C_{A_L,y}^{D}$','$C_{A_L,y}^{D}$ mean','location','best')
xlabel('Configuration')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\Added_mass_link.eps');



%%
fig = 2;
figure(fig);
plot(C_A_extracted_withDim(1,:),'linewidth',1.5)
hold on
plot(C_A_extracted_withDim(2,:),'linewidth',1.5)
%x = 0:1:10; %henrik
%y = 1.591*x+0.39182; %henrik
%plot(x,y,'--'); %henrik
%title('Added mass(Non-Dimensionless)')
grid on

set(gca,'Xtick',Xt,'Xticklabel',XL)
axis([0 Henrik+1 0 16])
ylabel('Kg')
xlabel('Configuration')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\Added_mass.eps');



